<?php
	/*** Post settings ****/
$sidebar_options = array();
$sidebar_options['default'] = "Default";

$yes_no = [
	'yes' => 'Yes',
	'no' => 'No' 
];


$page_width = [
	'boxed' => 'Boxed',
	'full' => 'Full Width' 
];
//$page_width = GumHelper::page_width();

$gum_post_settings = [];
$gum_post_settings['post_type'] = array('page');
$gum_post_settings['context'] = 'advanced'; //normal, advanced, and side.
$gum_post_settings['box_title'] = __('Page settings', 'gumtheme');
$gum_post_settings['box_id'] = 'gum_post_setting_box';
$gum_post_settings['wrapper_class'] = '';
$gum_post_settings['fields'] =array(
	
	array(
		'id' => 'gum_show_title',
		'input_type'=>'select',
		'label'=>'Show Page title',
		'value'=>"no",
		'wrapper_class' => '',
		'label_class' => '',
		'input_class'=>"gum_input_small",
		'select_options' =>$yes_no,
		'desc'=> "",
		'error_message'=> "",
		'validate' => '',
		'process' => "",
		'horizontal_field'=>true
	),
	array(
		'id' => 'gum_page_width_class',
		'input_type'=>'select',
		'label'=>'Page layout',
		'value'=>"full",
		'wrapper_class' => '',
		'label_class' => '',
		'input_class'=>"gum_input_small",
		'select_options' =>$page_width,
		'desc'=> "",
		'error_message'=> "",
		'validate' => '',
		'process' => "",
		'horizontal_field'=>true
	),
	array(
		'id' => 'gum_single_post_sidebar_position',
		'input_type'=>'image_radio',
		'label'=>'Sidebar position',
		'value'=>"none",
		'wrapper_class' => 'gum_single_post_sidebar_position',
		'label_class' => '',
		'input_class'=>"",
		'options' => array(
			array("val" => "default", "image" =>  get_template_directory_uri().'/framework/img/default.png'),
			array("val" => "right", "image" =>  get_template_directory_uri().'/framework/img/sidebar-right2.png'),
			array("val" => "left", "image" => get_template_directory_uri().'/framework/img/sidebar-left.png'),
			array("val" => "none", "image" => get_template_directory_uri().'/framework/img/sidebar-none.png'),

		),
		'desc'=> "Default option fallbacks to theme options setting.",
		'error_message'=> "",
		'validate' => '',
		'process' => "",
		'horizontal_field'=>true
	),
	array(
		'id' => 'gum_post_sidebar',
		'input_type'=>'select',
		'label'=>'Sidebar',
		'value'=>"",
		'wrapper_class' => 'gum_post_sidebar_wrapper',
		'label_class' => '',
		'input_class'=>"gum_input_small dynamic_sidebar",
		'select_options' =>$sidebar_options,
		'desc'=> "",
		'error_message'=> "",
		'validate' => '',
		'process' => "",
		'horizontal_field'=>true
	),





);
new Gum_Meta_Fields($gum_post_settings);
