<?php
function gum_comment($comment, $args, $depth) {
    if ( 'div' === $args['style'] ) {
        $tag       = 'div';
        $add_below = 'comment';
    } else {
        $tag       = 'li';
        $add_below = 'div-comment';
    }
    ?>
    <<?php echo $tag ?> <?php comment_class( empty( $args['has_children'] ) ? '' : 'parent' ) ?> id="comment-<?php comment_ID() ?>">
    <?php if ( 'div' != $args['style'] ) : ?>
        <div id="div-comment-<?php comment_ID() ?>" class="comment-body">
    <?php endif; ?>
<div class="comment-sec-inner">
            <div class="card">
        <div class="card-body">
            <div class="row no-gutters">
                <div class="col-sm-2 text-center comment-img-wrapper">
                    <?php if ( $args['avatar_size'] != 0 ) echo get_avatar( $comment, $args['avatar_size'] ); ?>
                </div>
                <div class="col-sm-10 comment-info-wrapper">
                    <p>
                        <?php printf( __( '<strong>%s</strong> <span class="says">says:</span>' ), get_comment_author_link() );
                     ?>

                    <span class="text-secondary text-center date-wrapper"><a href="<?php echo htmlspecialchars( get_comment_link( $comment->comment_ID ) ); ?>">
            <?php
            /* translators: 1: date, 2: time */
            printf( __('%1$s at %2$s'), get_comment_date(),  get_comment_time() ); ?></a></span><?php edit_comment_link( __( '(Edit)' ), '  ', '' );
            ?>                      
                   </p>
                   <div class="clearfix"></div>
                   <?php if ( $comment->comment_approved == '0' ) : ?>
                     <em class="comment-awaiting-moderation"><?php _e( 'Your comment is awaiting moderation.' ); ?></em>
                      <br />
                <?php endif; ?>

                   <div class="comment-msg">
                    <p><?php comment_text(); ?></p>
                    </div>
                        <i class="fa fa-reply" aria-hidden="true"></i>
                    <?php comment_reply_link( array_merge( $args, array( 'add_below' => $add_below, 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?>
                </div>
            </div><!--------- .row --------->                
        </div><!--------- .card-body --------->
    </div><!--------- .card --------->
</div><!--------- .comment-sec-inner --------->


















    <?php if ( 'div' != $args['style'] ) : ?>
    </div><!-- .comment-body -->
    <?php endif; ?>
    <?php
}
