<?php
/**
 * Gum_theme_html calss - theme header footer html.
 * @author Gumthemes.com
 */
class Gum_theme_html{

	public static function site_header_default(){
		global $gumtheme_options;

		?>
		<?php
         	if(!empty($gumtheme_options['show_slidein_bar']) && $gumtheme_options['show_slidein_bar'] == 1)
         		self::slidein_menu();
         ?>
		<div class="gum-header-style1 <?php echo (!empty($gumtheme_options['show_slidein_bar']))? ' gum-slidein-enabled' : '';?>">
		<?php if(isset($gumtheme_options['show_top_bar']) && $gumtheme_options['show_top_bar'] == 1):?>
		   <div class="nav-wrapper <?php echo (!empty($gumtheme_options['sticky_navbar']))? 'sticky_nav':''; ?>">
			<div class="navbar navbar-expand-lg navbar-light nav-bg ">
	        	<div class="container">
	        		<?php echo self::header_social_links();?>
					<?php self::header_main_nav(); ?>
					<div class="search-slide-wrapper">
	        		<div class="gum_search_icon" data-width="top-menu-wrapper">
						<i class="fa fa-search" aria-hidden="true"></i>
					</div><!-- search_icon -->
					<?php echo self::header_search_link();?>
					<?php
					if(!empty($gumtheme_options['show_slidein_bar']) && $gumtheme_options['show_slidein_bar'] == 1)
						echo self::slidein_menu_button1();
					?>
					</div>
	        	</div>
			</div><!--navbar-->
			</div>
	    <?php endif;?>
			<div class="logo-holder-wrapper">
	        <div class="container">
	        	<?php Gum_theme_html::header_logo(); ?>
	        </div>
			</div>
		</div><!-- gum-header-style1 -->
		<?php //Gum_theme_html::header_banner();
		?>
		<?php
	}

	public static function site_header_style2(){
		global $gumtheme_options;

		?>
		<?php
         	if(!empty($gumtheme_options['show_slidein_bar']) && $gumtheme_options['show_slidein_bar'] == 1)
         		self::slidein_menu();
         ?>
		<div class="gum-header-style2 <?php echo (!empty($gumtheme_options['show_slidein_bar']))? ' gum-slidein-enabled' : '';?>">
		<?php if(isset($gumtheme_options['show_top_bar']) && $gumtheme_options['show_top_bar'] == 1):?>
			<div class="nav-bg">
	        	<div class="container">
	        		<div class="row no-gutters">
	        			<div class="col-md-6">
								<div class="menu-social-wrapper">
									<?php
									if(!empty($gumtheme_options['show_slidein_bar']) && $gumtheme_options['show_slidein_bar'] == 1)
										echo self::slidein_menu_button2();
									?>
							<?php echo self::header_social_links();?>
							</div>
	        			</div>
	        			<div class="col-md-6 search-icon-folding">
	        				<div class="gum_search_icon" data-width="top-menu-wrapper">
								<i class="fa fa-search" aria-hidden="true"></i>
							</div><!-- search_icon -->
	        			</div>
	        		</div>
	        		<?php echo self::header_search_link();?>
	        	</div>
	        </div><!--navbar-->
	    <?php endif;?>
	        <div class="logo-nav-upper <?php echo (!empty($gumtheme_options['sticky_navbar']))? 'sticky_nav':''; ?> ">
	        	<div class="container">
		        	<div class="row no-gutters">
		        		<div class="col-lg-2"><?php Gum_theme_html::header_logo(); ?></div>
		        		<div class="col-lg-10"><?php self::header_main_nav(); ?></div>
		        	</div>
		        </div>
	        </div>
		</div><!-- gum-header-style1 -->
		<?php
	}

	public static function site_header_style3(){
		global $gumtheme_options;
		?>
		<?php
         	if(!empty($gumtheme_options['show_slidein_bar']) && $gumtheme_options['show_slidein_bar'] == 1)
         		self::slidein_menu();
         ?>
		<div class="gum-header-style3 <?php echo (!empty($gumtheme_options['show_slidein_bar']))? ' gum-slidein-enabled' : '';?>">
		<?php if(isset($gumtheme_options['show_top_bar']) && $gumtheme_options['show_top_bar'] == 1):?>
			<div class="nav-bg-blakk">
	        	<div class="container">
	        		<div class="row no-gutters">
	        			<div class="col-md-6">
	        				<?php Gum_theme_html::header_logo_style3(); ?>
	        			</div>
	        			<div class="col-md-6">
	        				<?php echo self::header_social_links();?>
	        			</div>
	        		</div>
	        	</div>
	        </div><!--navbar-->
	    <?php endif;?>
	        <div class="main-nav-style3 <?php echo (!empty($gumtheme_options['sticky_navbar']))? 'sticky_nav':''; ?>">
	        	<div class="container">
	        	<div class="row no-gutters">
				<?php
						if(!empty($gumtheme_options['show_slidein_bar']) && $gumtheme_options['show_slidein_bar'] == 1)
							echo self::slidein_menu_button3();
						?>
	        		<?php self::header_main_nav(); ?>
	        		<div class="gum_search_icon" data-width="top-menu-wrapper">
						<i class="fa fa-search" aria-hidden="true"></i>
					</div><!-- search_icon -->
	        	</div>
	        	<?php echo self::header_search_link();?>

	        </div>
	        </div>
		</div><!-- gum-header-style1 -->
		<?php
	}
	public static function slidein_menu_button1(){

		$html = '<div class="gum-slidein-menu-icon-wrapper"><a id="" class="gum-slidein-menu-toggle top"><i class="fa fa-align-right"></i></a></div>';

		return $html;
	}
	public static function slidein_menu_button2(){

		$html = '<div class="gum-slidein-menu-icon-wrapper"><a id="" class="gum-slidein-menu-toggle top"><i class="fa fa-bars"></i></a></div>';

		return $html;
	}
	public static function slidein_menu_button3(){

		$html = '<div class="gum-slidein-menu-icon-wrapper"><a id="" class="gum-slidein-menu-toggle top"><i class="fa fa-align-left"></i></a></div>';

		return $html;
	}
	public static function slidein_menu(){
		global $gumtheme_options;
		$logo_src='';

		if(!empty($gumtheme_options['slide_menu_logo']) && strlen($gumtheme_options['slide_menu_logo']) > 3)
			$logo_src='<img class="slide-menu-logo" src="'.$gumtheme_options['slide_menu_logo'].'" alt="slide_menu_logo">';
		?>

		<div id="gum-slidein-menu" class="background-dark slide-navigation-right">
			<?php echo $logo_src; ?>
			<div class="gum-slidein-inner">
				<a id="gum-sm-in-toggle-menu" class="gum-slidein-menu-toggle"><i class="fa fa-times"></i></a>

		<?php
   		if ( has_nav_menu( 'slidein' ) ) {
			 	$arg = array(
				'theme_location'  => 'slidein',
				'container_class' => 'menu-mobile-menu-container',
				'container_id'    => '',
				'menu_class'      => 'slidein-menu mobilemenu',
				'menu_id'         => 'mobilemenu',
			);

			wp_nav_menu( $arg );
		}
		?>

		</div><!-- gum-slidein-inner -->
		<?php if(isset($gumtheme_options['show_slidesocial_icons']) && $gumtheme_options['show_slidesocial_icons'] == 1): ?>
				<div class="top-social slide-socials">
		<?php if(class_exists('Gum_Html')) $top_bar_social =  Gum_Html::get_topbar_social_sites(); ?>
							<?php if(!empty($top_bar_social)) :?>
								<ul>
									<?php echo $top_bar_social; ?>
								</ul>
		<?php endif; ?>
			</div><!--top-social-->
		<?php endif; ?>
		</div><!-- gum-slidein-menu -->
	<?php
	}

	public static function gum_header(){
		 global $gumtheme_options;
		 if(empty($gumtheme_options['header_style'])) $header_style = 'default';
		 else  $header_style = $gumtheme_options['header_style'];

		 $func_header_style = "site_header_".$header_style;

		 Gum_theme_html::$func_header_style();

	}
	public static function header_top_bar($show_socials=1){
		global $gumtheme_options, $gumtheme_ads;


		/** Ad - Footer*/
		if(class_exists('GumHelper') && !empty($gumtheme_ads['header']['enable_header_top_ad']))
			GumHelper::show_ad($gumtheme_ads['header']['enable_header_top_ad'], $gumtheme_ads['header']['header_top_ad_code'], $args= array('class'=>'gum-banner-header-top'));
		?>
		<?php if(!empty($gumtheme_options['show_top_bar'])): ?>

<div class="top-bar container <?php echo (!empty($gumtheme_options['sticky_navbar']))? 'sticky_nav gum-navfixed':''; ?>">
		<nav class="navbar navbar-expand-md ">
			<div class="collapse navbar-collapse navbar-nav" id="navbarSupportedContent">
               <?php if(!empty($gumtheme_options['show_top_menu_date'])): ?>
               	<div class="topdate pull-left">
					<?php
                   	if(!empty($gumtheme_options['top_menu_date_format'])) $date_format = $gumtheme_options['top_menu_date_format'];
                   	else $date_format = get_option( 'date_format' );

                    echo esc_html( date_i18n($date_format) );
                    ?>
                </div>
                <?php endif; ?>

				<?php self::header_main_nav();?>
				<div class="clearfix"></div>
			</div><!-- .nav-bar-collapse -->

		<?php echo self::header_social_links($show_socials);?>
        <div class="clearfix"></div>
		<?php echo self::header_search_link();?>
	    </nav>


    <div class="clearfix"></div>
</div><!--top-bar-->


    	<?php endif; ?>
	<?php
	}

	public static function header_top_nav(){

		if ( has_nav_menu( 'topmenu' ) ) {
			$arg = array(
				'theme_location'  => 'topmenu',
				'container_class' => 'menu-top-container',
				'container_id'    => '',
				'menu_class'      => 'top-menu-wrapper',
				'menu_id'         => 'top-menu',
			);
			wp_nav_menu( $arg );
		}

	}
	public static function header_social_links($show_socials=1){
		global $gumtheme_options;
		ob_start();
		?>

		<?php if($show_socials):?>
				<?php if(!empty($gumtheme_options['show_social_icons'])): ?>
					<?php if(class_exists('Gum_Html')) $top_bar_social =  Gum_Html::get_topbar_social_sites(' '); ?>
	                <?php if(!empty($top_bar_social)) :?>
	                    <ul class="social-list">
		                    <?php echo $top_bar_social; ?>
	                    </ul>
					<?php endif; ?>
				<?php endif; ?>
		<?php endif;?>

		<?php
		$return_html=ob_get_contents();
		ob_end_clean();

		return $return_html;
	}

	public static function header_search_link(){
		global $gumtheme_options;
		ob_start();
		?>
		<div class="gum_search_wrapper" style="display:none;">
			<div class="search_box_close">
				<i class="fa fa-times" aria-hidden="true"></i>
			</div>
			<div class="search_box">
				<form role="search" method="get" class="search-form clearfix" action="<?php echo site_url();?>">
					<input type="search" id="gum-ajax_search" class="ajax_search search-field" placeholder="<?php echo (!empty($gumtheme_translations['header_search_placeholder']))? $gumtheme_translations['header_search_placeholder'] : 'Search...'; ?>" value="" name="s" title="Search for:" autocomplete="off">
					<input type="submit" class="search-submit" value="Search" style="display:none;">
				</form>
			</div><!-- search_box -->
			<div class="search_container"  style="display:none;">

				<div class="gum_search_spinner" style="display:none;"><?php echo Gum_html::spinner_code(); ?></div>
				<div class="search_results"></div>
			</div><!-- search_container -->
		</div><!-- search_wrapper -->
		<?php
		$return_html=ob_get_contents();
		ob_end_clean();

		return $return_html;
	}
	public static function header_logo_style3(){
		global $gumtheme_options;

		$echohtml='';

		$echohtml .="<div class='logo-holder'>";

		$myhomeUrl=esc_url( home_url( '/' ) );
        $echohtml .="<a href='$myhomeUrl' rel='home'>";
		if(!empty($gumtheme_options['logo_style3']) && strlen($gumtheme_options['logo_style3'])>3)
			$echohtml .="<img src='".$gumtheme_options['logo_style3']."' alt='nill' />";
		else
			$echohtml .=bloginfo( 'name' );

		$echohtml .="</a>";

        $echohtml .="</div><!--logo-wrappper-->";

		echo $echohtml;

	}
	public static function header_logo(){
		global $gumtheme_options;

		$echohtml='';

		$echohtml .="<div class='logo-holder'>";

		$myhomeUrl=esc_url( home_url( '/' ) );
        $echohtml .="<a href='$myhomeUrl' rel='home'>";
		if(!empty($gumtheme_options['default_logo']) && strlen($gumtheme_options['default_logo'])>3)
			$echohtml .="<img src='".$gumtheme_options['default_logo']."' alt='nill' />";
		else
			$echohtml .=bloginfo( 'name' );

		$echohtml .="</a>";

        $echohtml .="</div><!--logo-wrappper-->";

		echo $echohtml;

	}
	public static function header_banner(){
		global $gumtheme_options, $gumtheme_ads;

		/** Ad - Footer*/
		if(class_exists('GumHelper') && !empty($gumtheme_ads['header']['enable_header_logo_ad'])) GumHelper::show_ad($gumtheme_ads['header']['enable_header_logo_ad'], $gumtheme_ads['header']['header_logo_ad_code'], $args= array('class'=>'gum-banner-header col-sm-8'));

	}
	public static function header_main_nav(){
		global $gumtheme_options, $gumtheme_translations;
		?>

			<div class="main-menu-wrapper">
				<?php if(!empty($gumtheme_options['sticky_header_logo']) && strlen($gumtheme_options['sticky_header_logo'])>3): ?>
					<div class="sticky-nav-logo">
					  <a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"> <img src="<?php echo $gumtheme_options['sticky_header_logo'];?>" alt="<?php echo (!empty($gumtheme_options['logo_alt_text']))? $gumtheme_options['logo_alt_text']: bloginfo('title');?>" /></a>

					</div><!-- sticky-nav-logo -->
				<?php endif; ?>
				<div class="main-menu-content inner relative">
					<nav id="site-navigation-main" class="navbar main-navigation" itemscope="itemscope" itemtype="http://schema.org/SiteNavigationElement">
						<?php
						if ( has_nav_menu( 'primary' ) ) {
							$arg = array(
								'theme_location'  => 'primary',
								'container_class' => '',
								'container_id'    => 'navbarSupportedContent',
								'menu_class'      => 'navbar-nav mr-auto sf-menu',
								'menu_id'         => '',
							);
							if(class_exists('Gum_megamenu_Walker')) $arg['walker'] = new Gum_megamenu_Walker();
							wp_nav_menu( $arg );
						}
						?>
					</nav><!-- site-navigation-main -->
				</div><!--main-menu-content-->
				<div class="clearfix"></div>
			</div><!--main-menu-wrapper-->


		<?php
	}

	public static function mobile_search(){
		?>
		<div class="gum-res-search pull-right">
			<div class="gum-res-search-trigger-wrapper">
				<a href="#" class="gum-res-search-trigger"><i class="fa fa-search" aria-hidden="true"></i></a>
			</div><!-- gum-res-search-trigger-wrapper -->
			<div id="gum-responsive-sidebar-search" class="gum_res_search_wrapper">
		     	<div class="menu-mobile-search-container">
					<div class="res_search_box">
						<input type="text" name="res_ajax_search" id="gum-ma-search" class="res_ajax_search gum_mob_s"  id="gumsearch" value="" placeholder="<?php echo (!empty($gumtheme_translations['header_search_placeholder']))? $gumtheme_translations['header_search_placeholder'] : 'Search...'; ?>"/><br/>

						</div><!-- search_box -->
					<div class="search_container"  style="display:none;">

								<div class="gum_search_spinner" style="display:none;"><?php echo Gum_html::spinner_code(); ?></div>
								<div class="search_results"></div>
							</div><!-- .search_container -->
				</div><!-- menu-mobile-search-container -->
			</div><!-- #gum-responsive-sidebar-search -->
		</div><!-- .gum-res-search -->

		<?php

	}

	public static function mobile_menu(){
		?>
		<div id="gum-responsive-sidebar-menu">
			<?php
				if ( has_nav_menu( 'mobilemenu' ) ) {
				   $arg = array(
							'theme_location'  => 'mobilemenu',
							'container_class' => 'menu-mobile-menu-container',
							'container_id'    => '',
							'menu_class'      => 'mobilemenu',
							'menu_id'         => 'mobilemenu',
						);

					wp_nav_menu( $arg );
				}
			?>
	    </div><!-- #gum-responsive-sidebar-menu-->
		<?php
	}
	public static function footer_menu(){
		?>
		<div id="footer-menu-wrapper" class="footer-menu-wrapper">
			<?php
				if ( has_nav_menu( 'footer' ) ) {
				   $arg = array(
							'theme_location'  => 'footer',
							'container_class' => 'foter-page-list',
							'container_id'    => '',
							'menu_class'      => 'nav',
							'menu_id'         => 'footermenu',
						);

					wp_nav_menu( $arg );
				}
			?>
	    </div><!-- #gum-responsive-sidebar-menu-->
		<?php
	}
	public static function mobile_logo(){
		global $gumtheme_options;
		?>
		<div class="gum-res-logo">
			<a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home">
				<?php if(!empty($gumtheme_options['mobile_logo']) && strlen($gumtheme_options['mobile_logo'])>3): ?>
					<img src="<?php echo $gumtheme_options['mobile_logo'];?>" alt="<?php echo (!empty($gumtheme_options['logo_alt_text']))? $gumtheme_options['logo_alt_text']: bloginfo('title');?>" title="<?php echo (!empty($gumtheme_options['logo_title_text']))? $gumtheme_options['logo_title_text']: '';?>"/>
				<?php else:
						bloginfo('title');
				  	endif;
				?>
			</a>
		</div><!-- gum-res-logo -->

		<?php

	}
	public static function site_footer_info(){

		global $gumtheme_options;
		$html = '';

		$html .= "<div class='heading-holder'>";
		if(isset($gumtheme_options['footer_logo_heading']) && strlen($gumtheme_options['footer_logo_heading']) > 3)
		$html .= "<h3>".$gumtheme_options['footer_logo_heading']."</h3>";

		if(isset($gumtheme_options['footer_logo_subHeading']) && strlen($gumtheme_options['footer_logo_subHeading']) > 3)
		$html .= "<p>".$gumtheme_options['footer_logo_subHeading']."</p>";
		$html .= "</div>";
		$html .= "<div class='newsletter-wrapper'>";
		$html .= "<form action='#' method='post'>";
		$html .= "<div class='input-group'>";
		$html .= "<input type='email' class='form-control' placeholder='Enter your email' required=''>";
		$html .= "<span class='input-btn'>";
		$html .= "<input type='submit' class='btn global-btn' value='Subscribe'>";
		$html .= "</span>";
		$html .= "</div>";
		$html .= "</form>";
		$html .= "</div>";


		return $html;
	}
	public static function gum_footer_instagram(){
		 global $gumtheme_options, $gumtheme_socialmedia;
		 $insta_heading='';

		if(!empty($gumtheme_options['footer_insta_heading']))
			$insta_heading=$gumtheme_options['footer_insta_heading'];
		else $insta_heading='FOLLOW ME ON INSTRAGRAM';

		 if(!empty($gumtheme_options['footer_insta_enable'])):
		 	 if(empty($gumtheme_socialmedia['instagram_access_token'])): gumError("Please add Instagram access token.");
		 	 else:

		 ?>

		  <div class="footer-instagram-widget-wrapper insta-sec text-center">
		  	<div class="container-fluid">
		  		<div class="heading-holder"><h3><?php echo $insta_heading; ?></h3></div>
			  	<?php /*if(!empty($gumtheme_socialmedia['instagram_username'])): ?>
			  	<h3 class="title"><a href='https://www.instagram.com/<?php echo $gumtheme_socialmedia['instagram_username'];?>/'><i class="fa fa-instagram" aria-hidden="true"></i> <?php echo $gumtheme_socialmedia['instagram_username']; ?></a></h3>
			  	<?php endif; */?>
			  	<div id="footer_instafeed" class="instagram-widget footer-instagram-widget img-wrapper"></div>
			  	<div class="clearfix"></div>
		  	</div>
		  </div>
          <script type="text/javascript">
             jQuery(function($){
                 	var feed = new Instafeed({
							target: 'footer_instafeed',
							<?php

							$js_text = '';
							if(empty($gumtheme_options['footer_insta_feed'])) $js_text =  "get: 'user', \n userId: 'self', \n";
							else if($gumtheme_options['footer_insta_feed'] == 'user' )  $js_text =  "get: 'user', \n userId: '". $gumtheme_options['footer_insta_feed_userid']."', \n";
							else if ($gumtheme_options['footer_insta_feed'] == 'tagged') $js_text =  "get: 'tagged', \n userId: '". $gumtheme_options['footer_insta_feed_tagname']."', \n";
							else if ($gumtheme_options['footer_insta_feed'] == 'location') $js_text =  "get: 'tagged', \n userId: '". $gumtheme_options['footer_insta_feed_locationId']."', \n";
							else  $js_text =  "get: 'user', \n userId: 'self', \n";
							echo $js_text;

							?>
							resolution: 'low_resolution',
							sortBy: '<?php echo (!empty($gumtheme_options['footer_insta_sort'])) ? $gumtheme_options['footer_insta_sort'] : 'none'; ?>',
							accessToken: '<?php echo $gumtheme_socialmedia['instagram_access_token']; ?>',
							limit: 6
					 });
					 feed.run();
                });
		</script>


		 <?php
		 	endif;
		endif;
	}
	public static function gum_footer(){
		 global $gumtheme_options, $gumtheme_ads;

		 $html='';
		if(empty($gumtheme_options['footer_style'])) $footer_style = 'default';
		 else  $footer_style = $gumtheme_options['footer_style'];
		 $func_siteFooter = "site_footer_".$footer_style;


		 if(GumHelper::enable_footer()): ?>
		 <div class="main-footer-wrapper">

			 <div id="site-footer" class="site-footer-wrapper <?php echo (GumHelper::disable_footer_mobile())? 'hidden-xs' : '' ?>" role="contentinfo">
				<div class="style4 newsletter-sec text-center">
			<div class="container">
				<?php Gum_theme_html::$func_siteFooter(); ?>
				</div></div>
			</div><!-- .site-footer-wrapper -->
		</div>
		<?php endif;
	}

	public static function gum_subfooter(){
		global $gumtheme_options, $gumtheme_ads;
		$footer_background_src='';

		if(!empty($gumtheme_options['footer_background']) && strlen($gumtheme_options['footer_background']) > 3){
			$footer_background_src='background-image:url('.$gumtheme_options['footer_background'].');background-size: cover;';
		}

		$html='';
		?>
		<?php if(GumHelper::enable_subfooter()): ?>
			<div class="sub-footer-wrapper" style="<?php echo $footer_background_src;?>">
					<div class="container">
				<?php
				$footer_logo_src='';
				if(!empty($gumtheme_options['footer_logo']) && strlen($gumtheme_options['footer_logo'])>3){
				$footer_logo_src=$gumtheme_options['footer_logo'];
				}

				?>
				<div class="logo-holder">
					<img src="<?php echo $footer_logo_src; ?>" alt="footer-logo">
				</div>

				<?php
					if(isset($gumtheme_options['footer_show_social']) && $gumtheme_options['footer_show_social'] == 1){

						$html .="<div class='social-list-holder'>";
					$top_bar_social =  Gum_Html::get_topbar_social_sites();
					if(!empty($top_bar_social))
						$html .= "<ul class='social-list'>".$top_bar_social."</ul>";

						$html .="</div>";
					}
					echo $html;
				?>

				<?php self::footer_menu(); ?>
						<div class="copyright">
						<?php echo  (!empty($gumtheme_options['footer_copyright']))? "<p>".$gumtheme_options['footer_copyright']."</p>" : ''; ?>
						</div>
						<div class="clearfix"></div>
					</div>
			</div><!-- container-->
		<?php endif; ?>


		<?php

	}
	public static function site_footer_default(){

		global $gumtheme_options;
		$html = '';
		?>
		<div class="row">
		<div class="col-sm-4 site-footer-cl">
				<?php echo self::site_footer_info(); ?>
			</div><!-- col-sm-4 -->
			<div class="col-sm-4">
				<?php dynamic_sidebar('gumtheme-footer-1'); ?>
			</div><!-- col-sm-4 -->
			<div class="col-sm-4">
				<?php dynamic_sidebar('gumtheme-footer-2'); ?>
			</div><!-- col-sm-4 -->
		</div>
		<?php

	}
	public static function site_footer_style2(){

		global $gumtheme_options;
		?>
		<div class="row">
		<div class="col-sm-8 site-footer-cl">
				<?php echo self::site_footer_info(); ?>
			</div><!-- col-sm-4 -->
			<div class="col-sm-4">
				<?php dynamic_sidebar('gumtheme-footer-1'); ?>
			</div><!-- col-sm-4 -->
		</div>
		<?php

	}

	public static function site_footer_style3(){

		global $gumtheme_options;
		?>	<div class="row">
			<div class="col-sm-4">
				<?php dynamic_sidebar('gumtheme-footer-1'); ?>
			</div><!-- col-sm-4 -->
			<div class="col-sm-4">
				<?php dynamic_sidebar('gumtheme-footer-2'); ?>
			</div><!-- col-sm-4 -->
			<div class="col-sm-4">
				<?php dynamic_sidebar('gumtheme-footer-3'); ?>
			</div><!-- col-sm-4 -->
			</div>
		<?php

	}

	public static function site_footer_style4(){

		global $gumtheme_options;
		?>

				<?php echo self::site_footer_info(); ?>


		<?php

	}


}
