<?php
	class Gum_widget_html{

	public function __construct()
	{

	}

	public static function get_the_post_author_info(){
		global $gumtheme_options;
		$show_post_author = (isset($gumtheme_options['show_post_author']))? $gumtheme_options['show_post_author'] :  Gum_html::$single_post_setting['show_post_author'];

		if($show_post_author == 1):
		?>
		<div class="gum-author-box">			

			<?php if(!empty($gumtheme_options['show_post_author_image']) && $gumtheme_options['show_post_author_image'] == '1' ):?>
				<div class="gum-author-img">
			<img src="<?php echo get_avatar_url( get_the_author_meta( 'ID' ), array('size'=>250)); ?>" alt="<?php the_author_meta( 'display_name' ); ?>" />
			</div><!--gum-author-img-->
			<?php endif;?>
			<div class="gum-author-info">
			<div class="gum-author-heading"><?php _e('Author', 'gumtheme');?></div>
				<div class="gum-author-name">
					<?php echo get_the_author_meta('display_name'); ?>
				</div>
				<div class="gum-author-social">
					<?php
						global $gum_author_fields;

						$gum_author_social_icons = array(
							'gum_user_facebook'=>'fa fa-facebook',
							'gum_user_twitter'=>'fa fa-twitter',
							'gum_user_linkedin'=>'fa fa-linkedin',
							'gum_user_pinterest'=>'fa fa-pinterest-p',
							'gum_user_youtube'=>'fa fa-youtube-play',
							'gum_user_googleplus'=>'fa fa-google-plus',
							'gum_user_vimeo'=>'fa fa-vimeo',
							'user_url'=>'fa fa-globe',
							'gum_user_email'=>'fa fa-envelope-o',
						);
						$social_html = '';
						foreach($gum_author_social_icons as $key=>$class){
							$mailto = '';
							if($key == 'gum_user_email') $mailto = 'mailto:';
							if(get_the_author_meta($key)) $social_html .= "<li><a href=".$mailto.get_the_author_meta($key)." target='_blank	'><i class='$class' aria-hidden='true'></i></a></li>";
						}

						if(strlen($social_html) > 4){
							echo "<ul>".$social_html."</ul>";
						}
					?>
				</div>
				<div class="gum-author-desc">
					<?php 
						if(get_the_author_meta('description'))
							echo nl2br(get_the_author_meta('description'));
						else{
							echo "<p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown</p>";
						}
					 ?>
				</div><!-- gum-author-desc -->
			
			</div>
			<div class="clearfix"></div>
		</div><!-- gum-author-box -->

		<?php
		endif;
	}
	public static function get_the_author_posts_widget(){
		global $gumtheme_options;

		$show_more_author_posts = (isset($gumtheme_options['show_more_author_posts']))? $gumtheme_options['show_more_author_posts'] :  Gum_html::$single_post_setting['show_more_author_posts'];

		if($show_more_author_posts == 1){

			global $post;
			$author_id =  get_the_author_meta('ID');

			$post_id = get_the_ID();

			if(!empty($author_id)){
				$rand = rand();
				$author_display_name =  get_the_author_meta('display_name');

				$arg = array(
					'posts_per_page'   => 2,
					'offset'           => 0,
					'category'         => '',
					'exclude'          => $post_id,
					'author'	   => $author_id,
				);

				$data = self::content_widget_posts_html($arg);
				// The Loop

				if($data['post_count']):
				?>
					<div class="gum-author-posts gum-widget-wrapper gum-widget-wrapper-<?php echo $rand;?>" >
						<div class="gum-widget-heading"><h2><?php _e('More from '.$author_display_name, 'gumtheme'); ?></h2></div>
						<div class="gum-wc-wrapper row" id="gum-wc-wrapper-<?php echo $rand; ?>">
						<?php echo $data['html']; ?>
						</div><!-- gum-wc-wrapper -->
						<?php echo Gum_html::spinner(); ?>
						<ul class="gum_widget_pagination pagination pagination-sm" data-div_id="<?php echo $rand; ?>">
							<li class="gum_widget_pagination_a gum_widget_pagination_a_prev disable" data-direction="prev"><a href="#"><i class="fa fa-angle-left" aria-hidden="true"></i></a></li>
							<li class="gum_widget_pagination_a gum_widget_pagination_a_next" data-direction="next"><a href="#"><i class="fa fa-angle-right" aria-hidden="true"></i></a></li>
						</ul>
						<script type="text/javascript">
							gumBlock.block_<?php echo $rand; ?>= {'block' : 'content_widget_posts_html', 'options' : <?php echo json_encode($arg);?>};
						</script>
					</div><!-- gum-inner-post-wrapper -->
					<?php

				endif;
			}
		}

	}
	public static function Gumtheme_insta_feed($fields,$instance){
		global $gumtheme_options;
		global $gumtheme_socialmedia;
		
		
		//at first check credentials are set under gumtheme->social sites->instagram
		if((!empty($gumtheme_socialmedia['instagram_username'])) && (!empty($gumtheme_socialmedia['instagram_access_token'])) && (!empty($gumtheme_socialmedia['instagram_user_id'])) && ($instance['widget_insta_feed'] == '1') && ($instance['widget_insta_feed_count'] > 0)){
			$insta_feed_count=$instance['widget_insta_feed_count'];
			?>
			<div class="instafeed_wrapper">
				<div class="heading-tabs-wrapper"><div class="heading"><h2><span><?php echo $instance['widget_insta_feed_title']; ?></span></h2></div></div> 
				<div id="widget_instafeed" class="instagram-widget "></div>
				<script type="text/javascript">
	             jQuery(function($){
	             	var feed = new Instafeed({
						target: 'widget_instafeed',
						<?php
						$js_text =  "get: 'user', \n userId: 'self', \n";
						echo $js_text;
						?>
						resolution: 'low_resolution',
						sortBy: 'none',
						accessToken: '<?php echo $gumtheme_socialmedia['instagram_access_token']; ?>',
						limit: <?php echo $insta_feed_count;?>
					});
					feed.run();
	            });
				</script>

			</div>
			<?php
		}
		else{
			?>
			<div class="none_instafeed">
				<div class="heading-tabs-wrapper"><div class="heading"><h2><span><?php echo $instance['widget_insta_feed_title']; ?></span></h2></div></div> 
			<p>You haven't set crendentials for instagram Access Token <b>or</b> set the terms properly in widget.</p>
			</div>
	
			<?php
		}
	}
	public static function related_posts(){
		global $gumtheme_options, $post;
		$show_similar_posts = (isset($gumtheme_options['show_similar_posts']))? $gumtheme_options['show_similar_posts'] :  Gum_html::$single_post_setting['show_similar_posts'];
		$post_id = $post->ID;
		if(empty($show_similar_posts) || empty($post_id)) return '';
		
		$post_cats = wp_get_post_categories($post_id);
		$post_tags = wp_get_post_tags($post_id, array( 'fields' => 'ids' ));
		
		$arg = array(
				'posts_per_page'   => 2,
				'offset'           => 0,
				'category'         => '',
				'exclude'          => $post_id,
				'orderby'			=> 'rand',
			);
		if(!empty($post_cats)) $arg['category'] = $post_cats;
		//if(!empty($post_tags)) $arg['tag__in'] = $post_tags;

		if(!empty($post_id)){
			$rand = rand();
			$data = self::content_widget_posts_html($arg);

			if($data['post_count']):
			?>
				<div class="gum-related-posts gum-widget-wrapper gum-widget-wrapper-<?php echo $rand;?>" >
					<div class="gum-widget-heading"><h2><?php _e('Related posts', 'gumtheme'); ?></h2></div>
					<div class="gum-wc-wrapper row no-gutters" id="gum-wc-wrapper-<?php echo $rand; ?>">
					<?php echo $data['html']; ?>
					</div><!-- gum-wc-wrapper -->
					<?php echo Gum_html::spinner(); ?>
					<ul class="gum_widget_pagination pagination pagination-sm" data-div_id="<?php echo $rand; ?>">
						<li class="gum_widget_pagination_a gum_widget_pagination_a_prev disable" data-direction="prev"><a href="#"><i class="fa fa-angle-left" aria-hidden="true"></i></a></li>
						<li class="gum_widget_pagination_a gum_widget_pagination_a_next" data-direction="next"><a href="#"><i class="fa fa-angle-right" aria-hidden="true"></i></a></li>
					</ul>
					<script type="text/javascript">
						gumBlock.block_<?php echo $rand; ?>= {'block' : 'content_widget_posts_html', 'options' : <?php echo json_encode($arg);?>, 'type' : 'author'};
					</script>
				</div><!-- gum-inner-post-wrapper -->
				<?php
			endif;
		}
		
	}
	public static function content_widget_posts_html($arg){

		$posts_array = get_posts( $arg );


		$data['post_count'] = null;
		// The Loop
		if ( !empty($posts_array)) {
			$data['post_count'] = count($posts_array);

			$html ='';
			$count = 1;
			foreach ( $posts_array as $new_post ) {
					$post_id = $new_post->ID;
					$cat_html = gum_html::block_cat_html($post_id);
					$post_permalink = get_permalink($post_id);
					$image_html= '';
					if ( has_post_thumbnail($post_id ) ) {
						$thumb_url_arr = wp_get_attachment_image_src( get_post_thumbnail_id( $post_id ), 'gum_170X170' );
						$thumb_url_small_arr = wp_get_attachment_image_src( get_post_thumbnail_id( $post_id ), 'gum_170X170' );
						
						$image_html .= "<img src='".$thumb_url_small_arr[0]."' srcset='$thumb_url_small_arr[0] 300w, $thumb_url_arr[0] 150w' sizes='(max-width: 500px) 20vw, 238px' alt= '".the_title_attribute(array('echo'=>0, 'post'=>$new_post))."'/>";
					}
					$html .="<div class='col-md-6'>";
						$html .="<div class='thumb-box-1'>";
							$html .="<div class='img-wrapper'>";
								$html .="<div class='img-holder'>";
									$html .="<a href='$post_permalink'>$image_html</a>";
								$html .="</div>";
							$html .="</div><!--- .img-wrapper --->";
							$html .="<div class='box-content'>";
								$html .="<div class='heading'>";
									$html .="<a href='$post_permalink'><h4>".wp_trim_words(get_the_title($new_post),7,'...')."</h4></a>";
								$html .="</div>";
								$html .="<div class='box-btm-content'>";
									$html .="<ul>";
										$html .="<li class='date'>".get_the_date('j-M,Y',$post_id)."</li>";

									$html .="</ul>";
								$html .="</div><!--- .box-btm-content --->";
							$html .="</div><!--- .box-content --->";
						$html .="</div>";
					$html .="</div>";
				$count++;
			}
			$html .=  '<div class="clearfix"></div>';
			$data['html'] = $html;
		}
		//echo $html;

		return $data;
	}

	public static function noLimitation_social_counter_widget_html($site){
		global $gumtheme_translations;
		
		$html = "";
		$url = "";
		$icon_class='';
		if(!empty($site)){
			switch($site){
				case "facebook":
					$url = "https://www.facebook.com/";//.$site_username;
					$icon_class = "fa-facebook";
				break;
				case "twitter":
					$url = "https://www.twitter.com/";//.$site_username;
					$icon_class = "fa-twitter";
				break;
				case "pinterest":
					$url = "https://www.pinterest.com/";//.$site_username;
					$icon_class = "fa-pinterest-p";
				break;
				case "github":
					$url = "https://www.github.com/";//.$site_username;
					$icon_class = "fa-github";
				break;
				case "instagram":
					$url = "https://www.instagram.com/";//.$site_username;
					$icon_class = "fa-instagram";
				break;
				case "youtube":
					$url = "https://www.instagram.com/";//.$site_username;
					$icon_class = "fa-instagram";
				break;

			}			
			
			$html .= "<div class='col-sm-4 col-6'><a href='$url'><i class='fa $icon_class' aria-hidden='true'></i></a></div>";			
		} 
		return $html;
	}
	public static function social_counter($fields, $instance){

		global $gumtheme_socialmedia;

		$social_html = "";
		if(!empty($instance['social_sites'])){
			$social_html .="<div class='icons'>
							<div class='row no-gutters'>";
			foreach($instance['social_sites'] as $social_site){	

				$social_html .= self::noLimitation_social_counter_widget_html($social_site);
			}
			$social_html .="</div>
						</div>";
		}
		else{$social_html .= "<p>social sites missing. Please set in widget options. </p>";}

		?>
		<section class="follow-me">
			<?php if(!empty($instance['title'])):?>
           <div class="heading-tabs-wrapper"><div class="heading"><h2><span><?php echo $instance['title']; ?></span></h2></div></div>
           <?php endif; ?>

            <?php
			if(!empty($social_html)) echo $social_html; 
			if(!empty($error)) gumError($error);

			?>
        </section><!-- .follow-me -->
	<?php

	}
	/**
	 * Get social widget html
	 * @param  string $site      Site name - facebook, twitter etc
	 * @param  string $site_username Site username
	 * @param  string $style     html style
	 * @param  string $count     page likes or followers
	 * @return string            formatted html
	 */
	public static function social_counter_widget_html($site, $site_username , $style , $count){
		global $gumtheme_translations;
		
		$html = "";
		$url = "";
		if(!empty($site_username) && !empty($site)){
			
			$follower_text = __("Followers", "gumtheme");
			$follow_text = __("Follow", "gumtheme");
			$fan_text = __("Fans", "gumtheme");

			if(!empty($gumtheme_translations['social_followers'])) $follower_text = $gumtheme_translations['social_followers'];
			if(!empty($gumtheme_translations['social_follow'])) $follow_text = $gumtheme_translations['social_follow'];
			if(!empty($gumtheme_translations['social_fans'])) $fan_text = $gumtheme_translations['social_fans'];

			switch($site){
				case "facebook":
					$url = "https://www.facebook.com/".$site_username;
					$icon_class = "fa-facebook";
					$class = "facebook";
					$text = $fan_text;
					$follow_text = $follow_text;
				break;
				case "twitter":
					$url = "https://twitter.com/".$site_username;
					$icon_class = "fa-twitter";
					$class = "twitter";
					$text = $follower_text;
					$follow_text = $follow_text;
				break;
				case "pinterest":
					$url = "https://pinterest.com/".$site_username;
					$icon_class = "fa-pinterest-p";
					$class = "pinterest";
					$text = $follower_text;
					$follow_text = $follow_text;
				break;
				case "github":
					$url = "https://github.com/".$site_username;
					$icon_class = "fa-github";
					$class = "github";
					$text = $follower_text;
					$follow_text = $follow_text;
				break;
				case "instagram":
					$url = "https://www.instagram.com/".$site_username;
					$icon_class = "fa-instagram";
					$class = "instagram";
					$text = $follower_text;
					$follow_text = $follow_text;
				break;
				case "youtube":
					$url = "https://www.instagram.com/".$site_username;
					$icon_class = "fa-instagram";
					$class = "youtube";
					$text = $follower_text;
					$follow_text = $follow_text;
				break;

			}
			
			$count_text = GumHelper::thousandsCurrencyFormat($count);
			
			$html .= "<li class='$class'>
						<a href='$url' class='a-$class clearfix'>
							<span class='icon'><span class='fa $icon_class' aria-hidden='true'></span></span>";
			if(!empty($count))		
				$html .= " <span class='count'>$count_text</span> <span class='text'>$text</span>";
			$html .= "<span class='follow_text'>$follow_text</span>";
			$html .="<div class='clearfix'></div>";
			$html .= "</a>
					</li>";
		} 
		return $html;
	}
	public static function get_widget_args($instance){

		$args = array(
			'category_id' => 0,
		);

		// Category
		if(!empty($instance['category'])) $args['category_id'] = $instance['category'];

		// multi category
		if(!empty($instance['multicategory_ids'])) $args['multi_cat_filter'] = $instance['multicategory_ids'];

		// Post offset
		if(isset($instance['offset']))  $args['gum_post_offset'] = $instance['offset'];
		else  $args['gum_post_offset'] = 0;

		// Post limit
		if(!empty($instance['limit']))  $args['posts_per_page'] = $instance['limit'];

		// Show only post format - Video
		if(!empty($instance['show_only_video_posts']) && $instance['show_only_video_posts'] == 1)  $args['show_only_video_posts'] = $instance['show_only_video_posts'];

		// Show only Review posts
		if(!empty($instance['show_only_review_posts']) && $instance['show_only_review_posts'] == 1)  $args['show_only_review_posts'] = $instance['show_only_review_posts'];


		// Ignore sticky posts
		if(!empty($instance['ignore_sticky_posts']) && $instance['ignore_sticky_posts'] == 1)  $args['ignore_sticky_posts'] = $instance['ignore_sticky_posts'];

		//order by
		if(!empty($instance['post_sort_by'])) $args['post_sort_by'] = $instance['post_sort_by'];


		//Post_in
		if(!empty($instance['post__in'])) $args['post__in'] = $instance['post__in'];

		//Sort by Post_in
		if(!empty($instance['sort_by_post_in'])) $args['sort_by_post_in'] = $instance['sort_by_post_in'];

		return $args;


	}
	public static function get_widget_posts($instance, $type="recent_posts"){
		
		$options = array();
		$return_data = array();

		if(!empty($instance['gum_widget_id'])) $gum_widget_id = $instance['gum_widget_id'];
		else $gum_widget_id = rand();
		$return_data['gum_widget_id'] = $gum_widget_id;

		// Style
		if(!empty($instance['style']) && $instance['style'] != "default") $method = $instance['style'];
		else $method = "fullGrid_block_3";
		$return_data['method'] = $method;

		if($type == "view_count"){
			global $GUM_Postcount;
			if(empty($GUM_Postcount)){
				$error_line = __FILE__.":".__LINE__;
				gumError("GUM_Postcount undefined ".$error_line. " <br/> Please make sure you installed gumtheme plugin and enabled post count");
				return;
			}
			if(empty($instance['time_period'])) $instance['time_period'] = "all_time";
			$posts_count = $GUM_Postcount->get_posts_count(array('type'=>$instance['time_period']));
			$posts_in = array();
			$posts_count_arr = array();

			if(!empty($posts_count['post_ids'])){
				$instance["post__in"] = $posts_count['post_ids'];
				$instance['sort_by_post_in'] = 'post__in';

			}
		}
		else if($type == "likes_count"){
			global $GUM_Postlike;
			if(empty($GUM_Postlike)){
				$error_line = __FILE__.":".__LINE__;
				gumError("GUM_Postcount undefined ".$error_line. " <br/> Please make sure you installed gumtheme plugin and enabled post count");
				return;
			}
			if(empty($instance['time_period'])) $instance['time_period'] = "all_time";
			$likeArgs = array('when' => array('type'=>$instance['time_period']));
			$posts_likes = $GUM_Postlike->get_posts_likes($likeArgs);
	
			$posts_in = array();
			$posts_like_arr = array();
			if(!empty($posts_likes['post_ids'])){
				
				$posts_like_arr = $posts_likes['post_ids'];
				$instance["post__in"] = $posts_likes['post_ids'];
				$instance['sort_by_post_in'] = 'post__in';

			}

		}

		$posts_html = "";
		//if(method_exists('gum_html', $method)){
			if(method_exists('GumHelper', 'getposts')){
				$options = self::get_widget_args($instance);
				$posts_helper = GumHelper::getposts($options);
				$the_query = $posts_helper['the_query'];
			}else{
				gumError("getposts method not found in class GumHelper".__FILE__.":".__LINE__. " <br/> Please make sure you installed gumtheme plugin");
			}

			$return_data['options'] = $options;
			$args = $options;

			if($type == "view_count"){
			
				if(!empty($instance['hide_view_count']))  $args['show_views'] = 0;
				else $args['show_views'] = 1;
				//$args['small_grid_show_views'] = 1;

			}
			if($type == "likes_count"){
			
				if(!empty($instance['hide_like_count']))  $args['show_likes'] = 0;
				else $args['show_likes'] = 1;
				//$args['small_grid_show_likes'] = 1;
			}
			if($method == 'block_1'){
				$args['show_excerpt'] = 0;
			}
			if(!empty($the_query)){
				$return_data['post_count'] = $the_query->post_count;
				$return_data['posts_html'] = '';
				if($the_query->have_posts()){
					$count = 1;
					while ( $the_query->have_posts() ) { $the_query->the_post();
						$post_id = get_the_ID();
						$args['class'] = 'gum-grid-block-1-item gum-grid-block-1-'.$count;
						$args['count'] = $count;
						if($type == "view_count"){
							if(!empty($posts_count[$post_id])) $args['default_views'] = $posts_count[$post_id];
							else $args['default_views'] = 0;
						}
						if($type == "likes_count"){

							if(!empty($posts_likes[$post_id])) $args['default_likes'] = (int) $posts_likes[$post_id];
							else $args['default_likes'] = 0;
						}
						
						if($method == 'slider'){

		if($count ==1){ //for inner data
			$posts_html ='<div id="myCarousel" class="carousel slide" data-ride="carousel">';
			$posts_html .='<div class="carousel-inner">';
			$posts_html .=self::Get_my_carousel_inner_details($post_id,'active');
		}
		
		else { //for inner data
			$posts_html .= self::Get_my_carousel_inner_details($post_id,'');
		}

		if($count == $return_data['post_count']){ //for controls
			$posts_html .='</div><!-- carousel-inner -->';

		$posts_html .='<div class="mycarousel-controls">
				    <a class="carousel-control-prev" href="#myCarousel" data-slide="prev">
				    <i class="fa fa-angle-left"></i>
				  </a>
				  <a class="carousel-control-next" href="#myCarousel" data-slide="next">
				    <i class="fa fa-angle-right"></i>
				  </a></div>';
		$posts_html .='</div><!-- mycarousel -->';
		}
				}//slider-closing
				else{
					if($method == 'block_6' && $count == 1)
					$posts_html .= '<div class="right-side-wrapper">';

					$posts_html .= gum_html::$method($args);

					if($method == 'block_6' && $count == $return_data['post_count'])
					$posts_html .= '</div><!-- .right-side-wrapper -->';
				}


						$count++;

					}
					wp_reset_postdata();

				}
			}
		//}
		else gumError($method." not found in class gum_html in recent_posts widget".__FILE__.":".__LINE__);
		
		$return_data['posts_html'] = $posts_html;
		
		return $return_data;
	}
	public static function get_featured_image($post_id, $image_size){
		global $gumtheme_options;
		$img_src = '';
		if ( has_post_thumbnail($post_id ) ) {
			$post_image = wp_get_attachment_image_src( get_post_thumbnail_id( $post_id ), $image_size );
			$img_src = $post_image[0];
		}
		elseif(!empty($gumtheme_options['default_image'])){
			if(!empty($gumtheme_options['default_image_attachment_id'])){
				$post_image = wp_get_attachment_image_src( $gumtheme_options['default_image_attachment_id'], $image_size );
				$img_src = $post_image[0];
			}
			else $img_src = $gumtheme_options['default_image'];
		}

		return $img_src;
	}
	public static function Get_my_carousel_inner_details($post_id,$active=''){
      //$post_id = url_to_postid( $banner_post_permalink );
	  $html='';
      $category_details=get_the_category($post_id);
      $img_src=self::get_featured_image($post_id,'gum_350X380');
      
      $post_permalink = get_permalink($post_id);

      $number_words = 5;

      $post = get_post( $post_id);

      if($post->post_title){
      	$post_title=esc_html( $post->post_title );
      	$post_title = wp_trim_words($post_title, $number_words);
      }
      else{ $post_title='Please set the title of this post.';}

      $post_date = get_the_date('M j, Y',$post_id);
      ob_start();
      the_author();
      $admin= ob_get_contents();
      ob_end_clean();

      $html .="<div class='carousel-item ".$active."'>";
    $html .="<div class='box-5'>";
        $html .="<div class='img-holder'>";
            $html .="<a href='".$post_permalink ."'><img src='".$img_src."' alt='".$post_title."'></a>";
        $html .="</div>";
        $html .="<div class='box-content'>";
            $html .="<h3><a href='".$post_permalink ."'>".$post_title."</a></h3>";            
        $html .="</div>";
       
        $html .="<div class='cate-list'><ul><li><a href='category/".$category_details[0]->slug ."' >".$category_details[0]->name ."</a></li></ul></div>";
        
    $html .="</div><!-- .box5 -->";
	$html .="</div>";


      return $html;
    }
	public static function widget_posts($fields, $instance, $type="recent_posts"){

		/*Array
		(
		    [dynamic_element_type] => _full_grid_1
		    [publish_area] => gum_header_main_area
		    [_sizer] => full
		    [gum_grid_title] => Full Grid
		    [category_id] => 0
		    [multi_cat_filter] =>
		    [multi_tag_filter] =>
		    [multi_author_filter] =>
		    [post_type_filter] =>
		    posts_per_page =>
		    [gum_post_offset] =>
		    [post_sort_by] => latest
		)*/

		$data = self::get_widget_posts($instance, $type);
		$gum_widget_id = $data['gum_widget_id'];

		$title_style = '';
		if(!empty($instance['title_color'])) $title_style = "color:".$instance['title_color'];

		$background_color = '';
		if(!empty($instance['background_color'])) $background_color = "background-color:".$instance['background_color'];

		?>
		<div class="gum-widget-inner gum-widget-<?php echo $gum_widget_id; ?>"  style="<?php echo $background_color; ?>">
			<?php if(!empty($instance['title'])):?>
			<div class="heading-tabs-wrapper"><div class="heading">
			<h2 style="<?php echo $title_style; ?>"><span><?php echo $instance['title']; ?></span></h2>
			</div></div>
			<?php endif; ?>

			<div class='gum-grid-blocks gum-widget-block gum-gb-row'>
				<?php if(!empty($data['posts_html'])) echo $data['posts_html']; ?>
			</div><!-- .gum-grid-blocks-->
			
			<?php if(!empty($instance['pagination']) && $instance['pagination'] == "next_prev"):?>
				<ul class="gum_widget_pagination pagination pagination-sm" data-div_id="<?php echo $gum_widget_id; ?>">
					<li class="gum-widget-pagination-a gum-widget-pagination-a-prev" data-direction="prev"><a href="#"><i class="fa fa-angle-left" aria-hidden="true"></i></a></li>
					<li class="gum-widget-pagination-a gum-widget-pagination-a-next" data-direction="next"><a href="#"><i class="fa fa-angle-right" aria-hidden="true"></i></a></li>
				</ul>
			<?php endif; ?>
			<?php if(!empty($instance['pagination']) && $instance['pagination'] == "load_more"):?>
				<ul class="gum_widget_pagination gum-w-pagi-loadmore  pagination pagination-sm" data-div_id="<?php echo $gum_widget_id; ?>">
					<li class="gum-widget-pagination-a gum-widget-pagination-a-next" data-direction="next" data-pagitype="loadmore"><a href="#"><?php _e("Load more", "gumtheme");?></a></li>
				</ul>
			<?php endif; ?>
			<div class="gum-block-loading" style="display:none;"><div class="spinner"><div class="bounce1"></div><div class="bounce2"></div><div class="bounce3"></div></div></div>
		</div><!-- .gum-widget-inner-->
		<?php if(!empty($instance['pagination']) && ( $instance['pagination'] == "next_prev" || $instance['pagination'] == "load_more")):?>
			<script type="text/javascript">
				gumBlock.widget_<?php echo $gum_widget_id; ?>= {'block' : '<?php echo $data['method'];?>', 'options' : <?php echo json_encode($instance);?>, 'type' : '<?php echo $type;?>'};
			</script>
		<?php endif; ?>

		<?php

	}

	public static function view_posts($fields, $instance){
		global $GUM_Postcount;

		/*Array
		(
		    [dynamic_element_type] => _full_grid_1
		    [publish_area] => gum_header_main_area
		    [_sizer] => full
		    [gum_grid_title] => Full Grid
		    [category_id] => 0
		    [multi_cat_filter] =>
		    [multi_tag_filter] =>
		    [multi_author_filter] =>
		    [post_type_filter] =>
		    posts_per_page =>
		    [gum_post_offset] =>
		    [post_sort_by] => latest
		)*/

		$options = array();
		if(empty($GUM_Postcount)){
			gumError("GUM_Postcount undefined ".__FILE__.":".__LINE__. " <br/> Please make sure you installed gumtheme plugin and enabled post count");
			return;
		}
		if(empty($instance['time_period'])) $instance['time_period'] = "all_time";
		$posts_count = $GUM_Postcount->get_posts_count(array('type'=>$instance['time_period']));
		$posts_in = array();
		$posts_count_arr = array();

		if(!empty($posts_count)){
			foreach($posts_count as $post_count){
				$posts_count_arr[$post_count->post_id] = $post_count->count;
				$posts_in[] = $post_count->post_id;
			}
			$instance["post__in"] = $posts_in;
			$instance['sort_by_post_in'] = 'post__in';

		}

		if(!empty($instance['style']) && $instance['style'] != "default") $method = $instance['style'];
		else $method = "fullGrid_block_3";

		$posts_html = "";

		if(method_exists('gum_html', $method)){
			if(method_exists('GumHelper', 'getposts')){

				// get widget args
				$options = self::get_widget_args($instance);

				// get posts
				$posts_helper = GumHelper::getposts($options);
				$the_query = $posts_helper['the_query'];

			}else{
				gumError("getposts method not found in class GumHelper".__FILE__.":".__LINE__. " <br/> Please make sure you installed Gumthemes plugin");
			}
			$args = $options;
			$args['large_grid_show_views'] = 1;
			$args['small_grid_show_views'] = 1;

			if(!empty($the_query)){
				$data['post_count'] = $the_query->post_count;
				if($the_query->have_posts()){
					$count = 1;
					while ( $the_query->have_posts() ) { $the_query->the_post();
						$args['class'] = 'gum-grid-block-1-item gum-grid-block-1-'.$count;
						$args['count'] = $count;
						$post_id = get_the_ID();

						if(!empty($posts_count_arr[$post_id])) $args['default_views'] = $posts_count_arr[$post_id];
						else $args['default_views'] = 0;

						$posts_html .= gum_html::$method($args);


						$count++;

					}
					wp_reset_postdata();

				}
			}
		}
		else gumError($method." not found in class gum_html in recent_posts widget".__FILE__.":".__LINE__);

		$title_style = '';
		if(!empty($instance['title_color'])) $title_style = "color:".$instance['title_color'];

		$background_color = '';
		if(!empty($instance['background_color'])) $background_color = "background-color:".$instance['background_color'];
		?>
		<div class="gum-widget-inner" style="<?php echo $background_color; ?>">

			<?php if(!empty($instance['title'])):?>
			<div class="common-title"><div class="span"></div>
			<h4 style="<?php echo $title_style; ?>"><?php echo $instance['title']; ?></h4></div>
			<?php endif; ?>

			<div class='gum-grid-blocks gum-widget-block gum-gb-row'>
				<?php echo $posts_html; ?>
			</div>
			<div class="gum-block-loading" style="display:none;"><div class="spinner"><div class="bounce1"></div><div class="bounce2"></div><div class="bounce3"></div></div></div>
		</div><!-- .gum-widget-inner-->
		<?php


	}

	public static function likes_posts($fields, $instance){
		global $GUM_Postlike;
		/*echo "<pre>";
			var_dump($instance);
			echo "</pre>";
		*/
			/*Array
		(
		    [dynamic_element_type] => _full_grid_1
		    [publish_area] => gum_header_main_area
		    [_sizer] => full
		    [gum_grid_title] => Full Grid
		    [category_id] => 0
		    [multi_cat_filter] =>
		    [multi_tag_filter] =>
		    [multi_author_filter] =>
		    [post_type_filter] =>
		    posts_per_page =>
		    [gum_post_offset] =>
		    [post_sort_by] => latest
		)*/

		$options = array();
		if(empty($GUM_Postlike)){
			gumError("GUM_Postcount undefined ".__FILE__.":".__LINE__. " <br/> Please make sure you installed gumtheme plugin and enabled post count");
			return;
		}
		if(empty($instance['time_period'])) $instance['time_period'] = "all_time";
		$posts_likes = $GUM_Postlike->get_all_likes_count(array('type'=>$instance['time_period']));
		
		$posts_in = array();
		$posts_like_arr = array();
		if(!empty($posts_likes)){
			foreach($posts_likes as $post_like){
				 $posts_in[] = $post_like->post_id;
				 $posts_like_arr[$post_like->post_id] = $post_like->count;
			}
			$instance["post__in"] = $posts_in;
			$instance['sort_by_post_in'] = 'post__in';

			if(!empty($instance['style']) && $instance['style'] != "default") $method = $instance['style'];
			else $method = "fullGrid_block_3";

			$posts_html = "";

			if(method_exists('gum_html', $method)){
				if(method_exists('GumHelper', 'getposts')){

					// get widget args
					$options = self::get_widget_args($instance);

					// get posts
					$posts_helper = GumHelper::getposts($options);
					$the_query = $posts_helper['the_query'];

				}else{
					gumError("getposts method not found in class GumHelper".__FILE__.":".__LINE__. " <br/> Please make sure you installed Gumthemes plugin");
				}
				$args = $options;
				$args['large_grid_show_likes'] = 1;
				$args['small_grid_show_likes'] = 1;

				$args['default_likes'] = false;
				if(!empty($the_query)){
					$data['post_count'] = $the_query->post_count;
					if($the_query->have_posts()){
						$count = 1;
						while ( $the_query->have_posts() ) { $the_query->the_post();
							$args['class'] = 'gum-grid-block-1-item gum-grid-block-1-'.$count;
							$args['count'] = $count;
							$post_id = get_the_ID();

							if(!empty($posts_like_arr[$post_id])) $args['default_likes'] = (int) $posts_like_arr[$post_id];
							else $args['default_likes'] = 0;

							$posts_html .= gum_html::$method($args);


							$count++;

						}
						wp_reset_postdata();

					}
				}
			}
			else gumError($method." not found in class gum_html in recent_posts widget".__FILE__.":".__LINE__);
		}
		$title_style = '';
		if(!empty($instance['title_color'])) $title_style = "color:".$instance['title_color'];

		$background_color = '';
		if(!empty($instance['background_color'])) $background_color = "background-color:".$instance['background_color'];
		?>

		<div class="gum-widget-inner" style="<?php echo $background_color; ?>">
			<?php if(!empty($instance['title'])):?>
			<div class="common-title"><div class="span"></div>
			<h4 style="<?php echo $title_style; ?>"><?php echo $instance['title']; ?></h4></div>
			<?php endif; ?>

			<div class='gum-grid-blocks gum-widget-block gum-gb-row'>
				<?php if(!empty($posts_html)) echo $posts_html;
					else gumError("No posts found. ");
				?>
			</div>
			<div class="gum-block-loading" style="display:none;"><div class="spinner"><div class="bounce1"></div><div class="bounce2"></div><div class="bounce3"></div></div></div>
		</div><!-- .gum-widget-inner-->
		<?php


	}
	
	public static function about($fields, $instance){
		
		?>
		
		<div class="gum-widget-inner">
			<?php if(!empty($instance['title'])):?>
			<div class="common-title"><div class="span"></div>
			<h4><?php echo $instance['title']; ?></h4></div>
			<?php endif; ?>

			<div class='gum-about-widget gum-widget-block'>
				
				<?php 
					if(!empty($instance['image_url'])) echo "<img class='gum-about-widget-img' src='".$instance['image_url']."' alt='".GumHelper::get_attachment_meta_value($instance['image_url'])."' />";
					if(!empty($instance['about_text'])) echo "<div class='widget_about_text'><p>".$instance['about_text']."</p></div>";
					if(!empty($instance['read_more_text']) && !empty($instance['read_more_link'])) echo "<p><a href='".$instance['read_more_link']."' class='about_widget_readmore'>".$instance['read_more_text']."</a></p>";
					$social_link = '';
					if(!empty($instance['facebook_link']) && strlen($instance['facebook_link'])> 0)	$social_link .= "<li class='about-widget-fb'><a href='".$instance['facebook_link']."'><i class='fa fa-facebook'></i></a></li>";
					
					if(!empty($instance['twitter_link']) && strlen($instance['twitter_link'])> 0)	$social_link .= "<li class='about-widget-twitter'><a href='".$instance['twitter_link']."'><i class='fa fa-twitter'></i></a></li>";
				
					if(!empty($instance['instagram_link']) && strlen($instance['instagram_link'])> 0)	$social_link .= "<li class='about-widget-instagram'><a href='".$instance['instagram_link']."'><i class='fa fa-facebook'></i></a></li>";
				
					if(!empty($instance['linkedin_link']) && strlen($instance['linkedin_link'])> 0)	$social_link .= "<li class='about-widget-fb'><a href='".$instance['linkedin_link']."'><i class='fa fa-linkedin'></i></a></li>";
				
					if(!empty($instance['youtube_link']) && strlen($instance['youtube_link'])> 0)	$social_link .= "<li class='about-widget-fb>'<a href='".$instance['youtube_link']."'><i class='fa fa-youtube'></i></a></li>";
				if(!empty($instance['pinterest_link']) && strlen($instance['pinterest_link'])> 0)	$social_link .= "<li class='about-widget-fb'><a href='".$instance['pinterest_link']."'><i class='fa fa-pinterest'></i></a></li>";
				
				
					if(!empty($instance['googleplus_link']) && strlen($instance['googleplus_link'])> 0)	$social_link .= "<li class='about-widget-fb'<a href='".$instance['googleplus_link']."'><i class='fa fa-google-plus'></i></a></li>";
					if(strlen($social_link)){

						echo "<ul class='gum-about-widget-social'>$social_link</ul>";
					}
				?>
			</div>
		</div><!-- .gum-widget-inner-->
		
		<?php
		
		
	} // about widget

	public static function ad($fields, $instance){
		global $gumtheme_ads;
		?>
		<div class="gum-widget-inner">
			<?php if(!empty($instance['title'])):?>
			<div class="common-title"><div class="span"></div>
			<h4><?php echo $instance['title']; ?></h4></div>
			<?php endif; ?>
		<?php
		/** Ad - Footer*/
		if(class_exists('GumHelper') && !empty($gumtheme_ads['sidebar']['enable_sidebar_ad'])) GumHelper::show_ad($gumtheme_ads['sidebar']['enable_sidebar_ad'], $gumtheme_ads['sidebar']['sidebar_ad_code'], $args= array('class'=>'gum-banner-sidebar-top')); 
		?>
		</div><!-- .gum-widget-inner-->	
	<?php
	}

	public static function Gumtheme_about_me($fields, $instance){
		//global $gumtheme_ads;
		?>
         <section class="about-pf">
			<div class="img-holder">
				<?php if($instance['profile_image']): ?>
	           		<img src="<?php echo $instance['profile_image'];?>" alt="author-image">
	           <?php endif; ?>
			</div>
			<div class="sign-img">
				<?php if($instance['sign_image']): ?>
	           		<img src="<?php echo $instance['sign_image'];?>" alt="author-image">
	           <?php endif; ?>
			</div>
			<div class="pf-text"> 
				<?php if($instance['about_text']): ?>
	           	<p><?php echo $instance['about_text'];?></p>
	           	<?php else: ?>
	           	<p>This is an example text.</p>
	           <?php endif; ?>
			</div>
		</section><!----- .about-pf------->
		<?php
	}
	public static function subscribe_html($fields, $instance){
		?>
		<div class="newsletter gum-widget-wrapper">
           <div class="common-title">
             <div class="span"></div><h4><?php echo $instance['title']; ?></h4>
           </div>
           <!--<div class="sidebar-border-wrapper"></div>-->
           
             <p><?php echo $instance['desc_text']; ?></p>
           
           <div class="form-group">
             <input type="text" placeholder="Your Email Address" class="form-control">
           </div>
           
            <a href="#" class="btn btn-default">SUBSCRIBE</a>
           
    	</div>
		<?php
	}
	public static function get_random_post_id(){
		$args = array(
		  'numberposts' => 10
		);

		$postid='';
		$counter=0;
		$rand=rand(0,10);
 
		$latest_posts = get_posts( $args );

		foreach ($latest_posts as $post) {
			if($counter == $rand)
				$postid=$post->ID;

			$counter++;
		}

		return $postid;
	}
	public static function get_inner_posts_html($instance, $type="recent_posts"){
		$data='';
		if(!empty($instance['gum_widget_id'])) $gum_widget_id = $instance['gum_widget_id'];
		else $gum_widget_id = rand();
		$return_data['gum_widget_id'] = $gum_widget_id;
		if(!empty($instance['post1_Id'])){

			$data .= gum_html::block_4($instance['post1_Id'],'widget');
		}
		else{
			$data .='<div class="popular-post">';
			$data .= gum_html::block_4(self::get_random_post_id(),'widget');
			$data .='</div>';
		}	
		if(!empty($instance['post2_Id'])){
			$data .= gum_html::block_4($instance['post2_Id'],'widget');
		}
		else{
			$data .='<div class="popular-post">';
			$data .= gum_html::block_4(self::get_random_post_id(),'widget');
			$data .='</div>';
		}
		if(!empty($instance['post3_Id'])){
			$data .= gum_html::block_4($instance['post3_Id'],'widget');
		}
		else{
			$data .='<div class="popular-post">';
			$data .= gum_html::block_4(self::get_random_post_id(),'widget');
			$data .='</div>';
		}

		$return_data['posts_html'] = $data;
		
		return $return_data;
	}

	public static function Gumtheme_posts_style1($fields, $instance, $type="recent_posts"){

		$data = self::get_inner_posts_html($instance, $type);
		$gum_widget_id = $data['gum_widget_id'];

		$title_style = '';
		if(!empty($instance['title_color'])) $title_style = "color:".$instance['title_color'];

		$background_color = '';
		if(!empty($instance['background_color'])) $background_color = "background-color:".$instance['background_color'];

		?>
		<div class="popular gum-widget-<?php echo $gum_widget_id; ?> gum-widget-wrapper">
			<div class="common-title">
             <div class="span"></div><h4><?php echo $instance['title_text']; ?></h4>
           </div>


			<?php if(!empty($data['posts_html'])) echo $data['posts_html']; ?>
			
			<?php if(!empty($instance['pagination']) && $instance['pagination'] == "next_prev"):?>
				<ul class="gum_widget_pagination pagination pagination-sm" data-div_id="<?php echo $gum_widget_id; ?>">
					<li class="gum-widget-pagination-a gum-widget-pagination-a-prev" data-direction="prev"><a href="#"><i class="fa fa-angle-left" aria-hidden="true"></i></a></li>
					<li class="gum-widget-pagination-a gum-widget-pagination-a-next" data-direction="next"><a href="#"><i class="fa fa-angle-right" aria-hidden="true"></i></a></li>
				</ul>
			<?php endif; ?>
			<?php if(!empty($instance['pagination']) && $instance['pagination'] == "load_more"):?>
				<ul class="gum_widget_pagination gum-w-pagi-loadmore  pagination pagination-sm" data-div_id="<?php echo $gum_widget_id; ?>">
					<li class="gum-widget-pagination-a gum-widget-pagination-a-next" data-direction="next" data-pagitype="loadmore"><a href="#"><?php _e("Load more", "gumtheme");?></a></li>
				</ul>
			<?php endif; ?>
			<div class="gum-block-loading" style="display:none;"><div class="spinner"><div class="bounce1"></div><div class="bounce2"></div><div class="bounce3"></div></div></div>
		</div><!-- .gum-widget-inner-->
		<?php if(!empty($instance['pagination']) && ( $instance['pagination'] == "next_prev" || $instance['pagination'] == "load_more")):?>
			<script type="text/javascript">
				gumBlock.widget_<?php echo $gum_widget_id; ?>= {'block' : '<?php echo $data['method'];?>', 'options' : <?php echo json_encode($instance);?>, 'type' : '<?php echo $type;?>'};
			</script>
		<?php endif; ?>

		<?php

	}

	public static function gumtheme_categories_widget($fields, $instance){
		$simple_array=get_categories();
		//var_dump($simple_array);
		$all_cat=array();
		foreach ($simple_array as $category) {
			$all_cat[]=$category;
		}
		$count_cat=sizeof($all_cat);
		?>
		<section class="cate">
			<div class="heading-tabs-wrapper"><div class="heading"><h2><span><?php echo $instance['florence_cat_title']; ?></span></h2></div></div>           

           <ul class="cat-list">
            <?php
				for($i=1;$i<=$count_cat;$i++) {
					if(isset($instance['show_all_categories'])){?>

            <li><a href="<?php echo $all_cat[$i-1]->slug;?>">
            	<span><?php echo $all_cat[$i-1]->name;?></span>
            	<span><?php echo $all_cat[$i-1]->count;?></span></a></li>               
                                
            <?php
					}else if(isset($instance['category'.$i])){ ?>	

            <li><a href="<?php echo $all_cat[$i-1]->slug;?>">
            	<span><?php echo $all_cat[$i-1]->name;?></span>
            	<span><?php echo $all_cat[$i-1]->count;?></span></a></li>

            <?php }//else if closing					
				}//for closing
			?>
			</ul>
        </section>










		<?php
	}
}
