<?php
/**
 * Template part for displaying posts.
 *
 * @package square
 */

global $blog_grid;
$class='';
if(is_archive()){
	global $cat_odd_even;
	 $blog_grid = 1;
	 $class .=" post-item ";
	if(!empty($cat_odd_even)) $class .=" ".$cat_odd_even;
}
if($blog_grid==1) $class .=" col-sm-6";
?>

<article id="post-<?php the_ID(); ?>" <?php post_class($class); ?>>
	<?php if ( has_post_thumbnail() ) : ?>
		<div class="featured-post-image">
		<a href="<?php the_permalink();?>">

			 <?php the_post_thumbnail(  ); ?>
		</a>
		</div><!-- featured_image-->
	<?php endif; ?>


	<div class="post-inner">
	    <header class="entry-header">
					   <div class="post_category">
							<?php if ( 'post' == get_post_type() ) {
								/* translators: used between list items, there is a space after the comma */
								$categories_list = get_the_category_list( esc_html__( ', ', 'square' ) );
								if ( $categories_list && square_categorized_blog() ) {
									printf( '<span class="post-cat">' . esc_html__( '%1$s', 'square' ) . '</span>', $categories_list ); // WPCS: XSS OK.
								}
							}
							?>
					   </div>
					   <?php the_title( sprintf( '<h2 class="entry-title post_title" itemprop="headline"><a href="%s" rel="bookmark" itemprop="url">', esc_url( get_permalink() ) ), '</a></h2>' ); ?>

					   <div class="postmeta">
						   <span class="post_date"><?php gum_post_date(); ?></span>
						</div>





	</header><!-- .entry-header -->

	<div class="entry-content">
			<div class="post-teaser">
				<?php
					/* translators: %s: Name of current post */
					the_excerpt();
				?>
				<?php edit_post_link( esc_html__( 'Edit Post', 'square' ), '<br/><span class="edit-link  btn btn-default btn-xs">', '</span>' ); ?>
			</div>
			<div class="post-footer">
						<div class="pull-left">

							<div class="social-share-wrapper">
							  <div class="share">SHARE<i class="fa fa-share-alt"></i></div>
							  <div class="social-share">
							    <div class="facebook share-icon"><a href="http://www.facebook.com/sharer.php?u=<?php the_permalink();?>" class="product_share_facebook" onclick="javascript:window.open(this.href,
							              '', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=220,width=600');return false;"><i class="fa fa-facebook"></i></a></div>
							    <div class="twitter share-icon"><a href="https://twitter.com/share?url=<?php the_permalink();?>&amp;text=<?php echo urlencode(get_the_title());?>" onclick="javascript:window.open(this.href,
							              '', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=260,width=600');return false;" class="product_share_twitter"><i class="fa fa-twitter"></i></a></div>
							    <div class="google share-icon"><a href="https://plus.google.com/share?url=<?php the_permalink();?>" onclick="javascript:window.open(this.href,
							              '', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=600,width=600');return false;"><i class="fa fa-google-plus"></i></a></div>
							  </div><!-- social-share -->
							</div><!-- social-share-wrapper -->
						</div><!-- social-share -->
						<div class="meta_more pull-right">
    		<a class="ribbon" href="<?php the_permalink();?>"><span class="text">Continue reading</span> <span class="arrow"><i class="fa fa-angle-right"></i></span><div class="clearfix"></div></a>
						</div><!-- meta_more -->
						<div class="clearfix"></div>
					</div><!-- post-footer -->

	</div><!-- .entry-content -->

</article><!-- #post-## -->
