<?php
	/*** Category settings ****/

function gum_cat_metafields(){

	$sidebar_options = gum_get_sidebar();

	//var_dump($sidebar_options);

	$yes_no = GumHelper::get_yes_no();

	$pagination = GumHelper::get_pagination();

	$gum_cat_metafields = array();
	$gum_cat_metafields['context'] = 'advanced'; //normal, advanced, and side.
	$gum_cat_metafields['box_title'] = __('Post settings', 'gumtheme');
	$gum_cat_metafields['box_id'] = 'gum_post_setting_box';
	$gum_cat_metafields['wrapper_class'] = '';
	$default_option_text = 'Default option fallbacks to theme options setting.';
	$gum_cat_metafields['fields'] =array(
		array(
			'label' => 'Category Color',
			'id' => 'cat_color',
			'value' => "",
			'input_type' => 'colorpicker',
			'default_color' => '#000000',
			'default' => '#000000',
			'wrapper_class' => '',
			'label_class' => '',
			'input_class' => '',
			'desc' => 'This color will be used to highlight category.',
			'placeholder' =>'',
			'horizontal_field' => true,

		),		

		array(
			'id' => 'show_cat_top_post_grid',
			'input_type'=>'select',
			'label'=>'Show top grid',
			'value'=>"default",
			'default' => 'yes',
			'wrapper_class' => '',
			'label_class' => '',
			'input_class'=>"gum_input_small",
			'select_options' =>$yes_no,
			'desc'=> "",
			'error_message'=> "",
			'validate' => '',
			'process' => "",
			'horizontal_field'=>true
		),

		array(
			'id' => 'cat_top_post_style',
			'input_type'=>'image_radio',
			'label'=>'Category header post style',
			'value'=>"",
			'default' => 'slider_1',
			'wrapper_class' => 'cat_top_post_style_wrapper',
			'label_class' => '',
			'input_class'=>"",
			'options' => array(
			array("val" => "slider_1", "image" =>  get_template_directory_uri().'/framework/img/default.png'),
			array("val" => "categories_grid_html", "image" => get_template_directory_uri().'/framework/img/pb/category.png'),
			array("val" => "slider_1", "image" =>  get_template_directory_uri().'/framework/img/pb/slider.png'),

			),
			'desc'=> $default_option_text,
			'error_message'=> "",
			'validate' => '',
			'process' => "",
			'horizontal_field'=>true
		),

		array(
			'id' => 'cat_post_listing',
			'input_type'=>'image_radio',
			'label'=>'Posts Listing',
			'value'=>"",
			'default' => 'block_3',
			'wrapper_class' => 'gum_cat_post_listing_wrapper',
			'label_class' => '',
			'input_class'=>"",
			'options' => array(
				array("val" => "block_1", "image" => get_template_directory_uri().'/framework/img/default.png'),
			array("val" => "block_1", "image" => get_template_directory_uri().'/framework/img/block/block-1.png'),
			array("val" => "block_3", "image" =>  get_template_directory_uri().'/framework/img/block/block-2.png'),
			array("val" => "block_4", "image" =>  get_template_directory_uri().'/framework/img/block/block-3-1.png'),

			),
			'desc'=> $default_option_text,
			'error_message'=> "",
			'validate' => '',
			'process' => "",
			'horizontal_field'=>true
		),
		
		array(
			'id' => 'cat_sidebar_position',
			'input_type'=>'image_radio',
			'label'=>'Category sidebar position',
			'value'=>"",
			'default' => 'none',
			'wrapper_class' => 'cat_sidebar_position_wrapper',
			'label_class' => '',
			'input_class'=>"",
			'options' => array(
				array("val" => "default", "image" =>  get_template_directory_uri().'/framework/img/default.png'),
				array("val" => "right", "image" =>  get_template_directory_uri().'/framework/img/sidebar-right2.png'),
				array("val" => "left", "image" => get_template_directory_uri().'/framework/img/sidebar-left.png'),
				array("val" => "none", "image" => get_template_directory_uri().'/framework/img/sidebar-none.png'),

			),
			'desc'=> $default_option_text,
			'error_message'=> "",
			'validate' => '',
			'process' => "",
			'horizontal_field'=>true
		),
		
		array(
			'id' => 'cat_show_excerpt',
			'input_type'=>'select',
			'label'=>'Show Excerpt',
			'value'=>"default",
			'default' => 'yes',
			'wrapper_class' => '',
			'label_class' => '',
			'input_class'=>"gum_input_small",
			'select_options' =>$yes_no,
			'desc'=> "",
			'error_message'=> "",
			'validate' => '',
			'process' => "",
			'horizontal_field'=>true
		),
		array(
			'id' => 'cat_title_length',
			'input_type'=>'text',
			'label'=>'Title Length',
			'value'=>"12",
			'default' => '12',
			'wrapper_class' => '',
			'label_class' => '',
			'input_class'=>"gum_input_small",
			'desc'=> "",
			'error_message'=> "",
			'validate' => '',
			'process' => "",
			'horizontal_field'=>true
		),

		array(
			'id' => 'cat_show_name',
			'input_type'=>'select',
			'label'=>'Show category name tag',
			'value'=>"default",
			'default' => 'no',
			'wrapper_class' => '',
			'label_class' => '',
			'input_class'=>"gum_input_small",
			'select_options' =>$yes_no,
			'desc'=> "",
			'error_message'=> "",
			'validate' => '',
			'process' => "",
			'horizontal_field'=>true
		),
		array(
			'id' => 'cat_show_date',
			'input_type'=>'select',
			'label'=>'Show date',
			'value'=>"default",
			'default' => 'yes',
			'wrapper_class' => '',
			'label_class' => '',
			'input_class'=>"gum_input_small",
			'select_options' =>$yes_no,
			'desc'=> "",
			'error_message'=> "",
			'validate' => '',
			'process' => "",
			'horizontal_field'=>true
		),
		array(
			'label' => 'Date type',
			'id' => 'cat_date_type',
			'value' => 'custom_date',
			'default' => 'custom_date',
			'input_type' => 'select',
			'select_options' => GumHelper::get_date_formate(),
			'wrapper_class' => '',
 			'label_class' => '',
 			'input_class' => '',
 			'desc' => '',
 			'placeholder' =>'',
 			'horizontal_field' => true,
 		),
		array(
			'label' => 'Custom date format',
			'id' => 'cat_date_format',
			'value' => 'M d, Y',
			'default' => 'M d, Y',
			'input_type' => 'text',
			'wrapper_class' => '',
 			'label_class' => '',
 			'input_class' => '',
 			'desc' => 'Posts date format. You can read more <a href="https://codex.wordpress.org/Formatting_Date_and_Time">here</a>.',
 			'placeholder' =>'',
 			'horizontal_field' => true,
 		),
		array(
			'label' => 'Date Pretext',
			'id' => 'cat_post_date_pretext',
			'value' => 'On',
			'default' => 'On',
			'input_type' => 'text',
			'wrapper_class' => '',
 			'label_class' => '',
 			'input_class' => '',
 			'desc' => '',
 			'placeholder' =>'',
 			'horizontal_field' => true,
 		),
		array(
			'id' => 'cat_show_author',
			'input_type'=>'select',
			'label'=>'Show author',
			'value'=>"default",
			'default' => 'yes',
			'wrapper_class' => '',
			'label_class' => '',
			'input_class'=>"gum_input_small",
			'select_options' =>$yes_no,
			'desc'=> "",
			'error_message'=> "",
			'validate' => '',
			'process' => "",
			'horizontal_field'=>true
		),
		array(
			'id' => 'cat_show_views',
			'input_type'=>'select',
			'label'=>'Show views',
			'value'=>"default",
			'default' => 'no',
			'wrapper_class' => '',
			'label_class' => '',
			'input_class'=>"gum_input_small",
			'select_options' =>$yes_no,
			'desc'=> "",
			'error_message'=> "",
			'validate' => '',
			'process' => "",
			'horizontal_field'=>true
		),
		array(
			'id' => 'cat_show_likes',
			'input_type'=>'select',
			'label'=>'Show likes',
			'value'=>"default",
			'default' => 'no',
			'wrapper_class' => '',
			'label_class' => '',
			'input_class'=>"gum_input_small",
			'select_options' =>$yes_no,
			'desc'=> "",
			'error_message'=> "",
			'validate' => '',
			'process' => "",
			'horizontal_field'=>true
		),
		array(
			'id' => 'cat_show_comment_count',
			'input_type'=>'select',
			'label'=>'Show comment count',
			'value'=>"default",
			'default' => 'yes',
			'wrapper_class' => '',
			'label_class' => '',
			'input_class'=>"gum_input_small",
			'select_options' =>$yes_no,
			'desc'=> "",
			'error_message'=> "",
			'validate' => '',
			'process' => "",
			'horizontal_field'=>true
		),
		
		array(
			'id' => 'cat_sidebar',
			'input_type'=>'category',
			'label'=>'Category Sidebar',
			'value'=>"",
			'default' => 'sidebar-1',
			'wrapper_class' => 'cat_sidebar_wrapper',
			'label_class' => '',
			'input_class'=>"gum_input_small",
			'select_options' =>$sidebar_options,
			'desc'=> "",
			'error_message'=> "",
			'validate' => '',
			'process' => "",
			'horizontal_field'=>true
		),

		array(
			'id' => 'cat_pagination',
			'input_type'=>'select',
			'label'=>'Pagination',
			'value'=>"default",
			'default' => 'standard',
			'wrapper_class' => '',
			'label_class' => '',
			'input_class'=>"gum_input_small",
			'select_options' =>$pagination,
			'desc'=> "",
			'error_message'=> "",
			'validate' => '',
			'process' => "",
			'horizontal_field'=>true
		),


	);

	$gum_cat_metafields['color_css'] = array(
		'body.category-{cat-id} h1.gum-cat-title' => 'color',
		'body .gum-block-cat-{cat-id}:hover .gum-block-post-title a, body .gum-block-cat-{cat-id}:hover .fullgrid_block_1 .gum_post_data .p_title, body .gum-block-cat-{cat-id}:hover .gum-read-more, body .gum-block-cat-{cat-id} .gum-read-more:before' => 'color',
		'body .gum-block-cat-{cat-id} .gum-post-cat li a' => 'background-color'
		//'' => 'background-color'

	);



	return $gum_cat_metafields;

}
$gum_cat_metafields = gum_cat_metafields();
new Gum_Meta_Fields_Cat($gum_cat_metafields);
