<?php
	$sections['theme_colors_general']['cat_color'] = array(
		'label' => 'Theme Color',
		'id' => 'cat_color',
		'value' => "",
		'input_type' => 'colorpicker',
		'default_color' => '#a54c44',
		'wrapper_class' => '',
		'label_class' => '',
		'input_class' => '',
		'desc' => 'This color will be used as a theme main color.',
		'placeholder' =>'',
		'apply_to' => array( 
			'background-color' => '.global-btn,.insta-sec,
			.slider-post-wrapper:hover .cat-heading span,
			ul.gum_block_pagination li a:hover,
			.newsletter-sec .newsletter-wrapper .global-btn,
			.gum-load-more-wrapper .gum-load-more-btn,
			aside ul.cat-list li a span:last-child,
			aside ul.cat-list li:before,
			.slide-banner-sec ul.slick-dots li.slick-active a.single-dot,
			.slide-banner-sec .content-wrapper .content-wrapper-inner h1 a:after,
			.slide-banner-sec .content-wrapper .content-wrapper-inner h1 a:before,
			aside .heading-tabs-wrapper .heading h2:after,
			.gum-grid-block-title .gum_cat_filter_dropdown .dropdown-menu li:hover,
			.gum_carousel_1 button.slick-arrow:hover,
			.update-single-style .pagination > li > a:hover, 
			.update-single-style .pagination > li > span:hover,
			.update-single-style .comments-area .comment-form .submit, 
			.update-single-style .comments-area .form-submit input[type="submit"],			
			nav ul.pagination li:hover a,
			.search_container .search_posts .gum_search_link a,
			nav ul.pagination li.active .current,
			.no-results.not-found .page-content .search-form input.search-submit,
			.carousel-control-prev:hover, 
			.carousel-control-next:hover
			',

			'color' => '.slide-banner-sec .content-wrapper .content-wrapper-inner span,
			.slide-banner-sec .content-wrapper .content-wrapper-inner h1 a:hover,
			.heading-tabs-wrapper .gum_cat_filter_list ul li .active,
			.thumb-box-1:hover .box-content .heading a h4, 
			.box-style-2:hover .box-content .heading a h4, 
			.box-style-3:hover .box-content .heading a h4, 
			.img-holder-main:hover .box-content .heading a h4, 
			.slider-post-wrapper:hover .box-content .heading a h4,
			.heading-tabs-wrapper .gum_cat_filter_list ul li a:hover,
			footer .foter-page-list ul.nav li a:hover,
			aside ul.cat-list li a:hover,
			.breadcrumb-holder .breadcrumb .active,
			.gum-star-rating-count i,
			.gum-grid-block-title .gum_cat_filter_list ul li a.active,
			aside ul.cat-list li a,
			.gum-breadcrumb ul li,
			ul.gum_widget_pagination li a,
			.update-single-style .pagination > li > a, 
			.update-single-style .pagination > li > span,
			ul.gum_block_pagination li a,
			.search h2,
			.gum-header-style1 .gum_search_icon:hover,
			.gum-header-style2 .gum_search_icon:hover,
			.gum-header-style3 .gum_search_icon:hover,
			.gum_cat_filter_dropdown .btn:hover, 
			.gum_cat_filter_dropdown .btn:focus,
			.gum_cat_filter_dropdown ul.dropdown-menu li .active,
			.gum-header-style1 ul.social-list li a:hover,
			.gum-header-style2 ul.social-list li a:hover,
			.gum-header-style3 ul.social-list li a:hover,
			.gum-responsive-header .gum-res-menu-trigger-wrapper .gum-res-menu-trigger,
			.gum-responsive-header .gum-res-search-trigger-wrapper .gum-res-search-trigger,
			.gum-responsive-header .gum-res-logo a
			',

			'border-color' => 'ul.gum_block_pagination li a:hover,
			.slide-banner-sec ul.slick-dots li a.single-dot,
			.slide-banner-sec ul.slick-dots li.slick-active a.single-dot,
			ul.gum_block_pagination li a,
			.newsletter-sec .newsletter-wrapper .form-control:focus,
			.update-single-style .pagination > li > a,
			.update-single-style .pagination > li > span,
			.comments-area #respond textarea:active, 
			.comments-area #respond textarea:focus, 
			aside .search-form .search-field:focus,
			.comments-area #respond input[type="text"]:focus',

			'border-top-color' => '.update-single-style .post-categories li a::after',

			'border-bottom-color' => '.update-single-style .post-categories li a::after'

	),
		'horizontal_field' => true,
	);

$sections['theme_colors_general']['theme_colors_cate_bg'] = array(
				'label' => 'Post Category Background Color',
				'id' => 'theme_colors_cate_bg',
				'value' => "",
				'input_type' => 'colorpicker',
				'default_color' => '#a54c44',
				'wrapper_class' => '',
	 			'label_class' => '',
	 			'input_class' => '',
	 			'desc' => '',
	 			'placeholder' =>'',
	 			'apply_to' => array( 'background-color' => '.cate-list ul li a,
	 				.update-single-style .post-categories li a',

	 			'border-top-color' => '.cate-list ul li a::after,
	 			.update-single-style .post-categories li a::after',
	 			'border-bottom-color' => '.cate-list ul li a::after,
	 			.update-single-style .post-categories li a::after'
	 		),
	 			'horizontal_field' => true,

	);

$sections['theme_colors_general']['theme_colors_cate_bg_hover'] = array(
				'label' => 'Post Category Hover Background Color',
				'id' => 'theme_colors_cate_bg_hover',
				'value' => "",
				'input_type' => 'colorpicker',
				'default_color' => '#000',
				'wrapper_class' => '',
	 			'label_class' => '',
	 			'input_class' => '',
	 			'desc' => '',
	 			'placeholder' =>'',
	 			'apply_to' => array( 'background-color' => '.box-style-3:hover .cate-list ul li a,
	 				.box-style-2:hover .cate-list ul li a,
	 				.box-5:hover .cate-list ul li a,
	 				.style-box-1:hover .cate-list ul li a,
	 				.img-holder-main:hover .cate-list ul li a',

	 			'border-top-color' => '.box-style-3:hover .cate-list ul li a:after,
	 				.box-style-2:hover .cate-list ul li a:after,
	 				.box-5:hover .cate-list ul li a:after,
	 				.style-box-1:hover .cate-list ul li a:after,
	 				.img-holder-main:hover .cate-list ul li a:after',

	 			'border-bottom-color' => '.box-style-3:hover .cate-list ul li a:after,
	 				.box-style-2:hover .cate-list ul li a:after,
	 				.box-5:hover .cate-list ul li a:after,
	 				.style-box-1:hover .cate-list ul li a:after,
	 				.img-holder-main:hover .cate-list ul li a:after'

	 			),
	 			'horizontal_field' => true,

	);
	
	$sections['theme_colors_general']['theme_colors_main_heading_col'] = array(
				'label' => 'Main Heading Color',
				'id' => 'theme_colors_main_heading_col',
				'value' => "",
				'input_type' => 'colorpicker',
				'default_color' => '#a54c44',
				'wrapper_class' => '',
	 			'label_class' => '',
	 			'input_class' => '',
	 			'desc' => '',
	 			'placeholder' =>'',
	 			'apply_to' => array( 'color' => '.heading-tabs-wrapper .heading h2,
	 				.update-single-style .gum-widget-heading h2,
	 				.update-single-style .comment-respond h3 span',
	 				
	 				'border-color' => '.heading-tabs-wrapper .heading h2:before,
	 				.heading-tabs-wrapper .heading h2 span,
	 				body.single-post .gum-breadcrumb::before,
	 				.update-single-style .gum-widget-heading::before,
	 				.update-single-style .comment-respond h3::before',
	 				
	 				'background-color' => '.heading-tabs-wrapper .heading h2 span:before,
	 				aside .heading-tabs-wrapper .heading h2:after,
	 				body.single-post .gum-breadcrumb ul::before,
	 				.update-single-style .gum-widget-heading h2:before,
	 				.update-single-style .comment-respond h3 span::before'
	 		),
	 			'horizontal_field' => true,

	);
	$sections['theme_colors_general']['theme_colors_main_heading_col_hover'] = array(
				'label' => 'Main heading hover Color',
				'id' => 'theme_colors_main_heading_col_hover',
				'value' => "",
				'input_type' => 'colorpicker',
				'default_color' => '#000',
				'wrapper_class' => '',
	 			'label_class' => '',
	 			'input_class' => '',
	 			'desc' => '',
	 			'placeholder' =>'',
	 			'apply_to' => array( 'color' => '.heading-tabs-wrapper:hover .heading h2,
	 				.update-single-style:hover .gum-widget-heading h2,
	 				.update-single-style .comment-respond h3:hover span',
	 				
	 				'border-color' => '.heading-tabs-wrapper:hover .heading h2:before,
	 				.heading-tabs-wrapper:hover .heading h2 span,
	 				.update-single-style:hover .gum-widget-heading::before,
	 				.update-single-style .comment-respond h3:hover:before',
	 				
	 				'background-color' => '.heading-tabs-wrapper:hover .heading h2 span:before,
	 				aside .heading-tabs-wrapper:hover .heading h2:after,
	 				.update-single-style:hover .gum-widget-heading h2:before,
	 				.update-single-style .comment-respond h3:hover span:before'
	 		),
	 			'horizontal_field' => true,

	);