<?php
	/**
		* Post settings
	*/
	global $date_format, $sidebar_options;
	

	$sections['post_global_settings']['show_post_breadcrumb'] = array(
				'label' => 'Show breadcrumb',
				'id' => 'show_post_breadcrumb',
				'value' => 1,
				'input_type' => 'input_switch',
				'wrapper_class' => '',
	 			'label_class' => '',
	 			'input_class' => '',
	 			'desc' => 'Show breadcrumb nav on single post.',
	 			'placeholder' =>'',
	 			'horizontal_field' => true,

	);
		$sections['post_global_settings']['test_1_dev'] = array(
				'id' => 'test_1_dev',
				'input_type' => 'div_open',
				'wrapper_class' => 'section_light',
	);
	$sections['post_global_settings']['show_post_date'] = array(
				'label' => 'Show post publish date',
				'id' => 'show_post_date',
				'value' => 1,
				'input_type' => 'input_switch',
				'wrapper_class' => '',
	 			'label_class' => '',
	 			'input_class' => '',
	 			'desc' => 'Show date on single post.',
	 			'placeholder' =>'',
	 			'horizontal_field' => true,

	);
	$sections['post_global_settings']['date_type'] = array(
				'label' => 'Date type',
				'id' => 'post_date_type',
				'value' => 'custom_date',
				'input_type' => 'select',
				'select_options' => $date_format,
				'wrapper_class' => '',
	 			'label_class' => '',
	 			'input_class' => '',
	 			'desc' => '',
	 			'placeholder' =>'',
	 			'horizontal_field' => true,
	);


	$sections['post_global_settings']['date_format'] = array(
				'label' => 'Custom date format',
				'id' => 'post_date_format',
				'value' => 'M d, Y',
				'input_type' => 'text',
				'wrapper_class' => '',
	 			'label_class' => '',
	 			'input_class' => '',
	 			'desc' => 'Posts date format. You can read more <a href="https://codex.wordpress.org/Formatting_Date_and_Time">here</a>.',
	 			'placeholder' =>'',
	 			'horizontal_field' => true,
	);
	$sections['post_global_settings']['post_date_pretext'] = array(
				'label' => 'Date Pretext',
				'id' => 'post_date_pretext',
				'value' => 'On',
				'input_type' => 'text',
				'wrapper_class' => '',
	 			'label_class' => '',
	 			'input_class' => '',
	 			'desc' => '',
	 			'placeholder' =>'',
	 			'horizontal_field' => true,
	);
	$sections['post_global_settings']['test_1_dev_close'] = array(
				'id' => 'test_1_dev_close',
				'input_type' => 'div_close',
	);

	$sections['post_global_settings']['show_post_author_image'] = array(
				'label' => 'Show author image',
				'id' => 'show_post_author_image',
				'value' => 1,
				'input_type' => 'input_switch',
				'wrapper_class' => '',
	 			'label_class' => '',
	 			'input_class' => '',
	 			'desc' => 'Show author image on single post page.',
	 			'placeholder' =>'',
	 			'horizontal_field' => true,

	);
	$sections['post_global_settings']['show_post_author'] = array(
				'label' => 'Show author',
				'id' => 'show_post_author',
				'value' => 1,
				'input_type' => 'input_switch',
				'wrapper_class' => '',
	 			'label_class' => '',
	 			'input_class' => '',
	 			'desc' => 'Show author name on single post page.',
	 			'placeholder' =>'',
	 			'horizontal_field' => true,

	);
	$sections['post_global_settings']['post_author_pretext'] = array(
				'label' => 'Author Pretext',
				'id' => 'post_author_pretext',
				'value' => 'By',
				'input_type' => 'text',
				'wrapper_class' => '',
	 			'label_class' => '',
	 			'input_class' => '',
	 			'desc' => '',
	 			'placeholder' =>'',
	 			'horizontal_field' => true,
	);
	$sections['post_global_settings']['show_post_views'] = array(
				'label' => 'Show Views',
				'id' => 'show_post_views',
				'value' => 1,
				'input_type' => 'input_switch',
				'wrapper_class' => '',
	 			'label_class' => '',
	 			'input_class' => '',
	 			'desc' => 'Show total view count on single post page.',
	 			'placeholder' =>'',
	 			'horizontal_field' => true,

	);

	$sections['post_global_settings']['show_post_comment_count'] = array(
				'label' => 'Show comment count',
				'id' => 'show_post_comment_count',
				'value' => 1,
				'input_type' => 'input_switch',
				'wrapper_class' => '',
	 			'label_class' => '',
	 			'input_class' => '',
	 			'desc' => 'Show comment count on single post page.',
	 			'placeholder' =>'',
	 			'horizontal_field' => true,

	);

	$sections['post_global_settings']['show_post_likes'] = array(
				'label' => 'Show post likes',
				'id' => 'show_post_likes',
				'value' => 1,
				'input_type' => 'input_switch',
				'wrapper_class' => '',
	 			'label_class' => '',
	 			'input_class' => '',
	 			'desc' => 'Show post likes on single post page.',
	 			'placeholder' =>'',
	 			'horizontal_field' => true,

	);
/*	$sections['post_global_settings']['show_post_social_share_header'] = array(
				'label' => 'Show social share - top',
				'id' => 'show_post_social_share_header',
				'value' => 1,
				'input_type' => 'input_switch',
				'wrapper_class' => '',
	 			'label_class' => '',
	 			'input_class' => '',
	 			'desc' => 'Show social share at the top section of the post',
	 			'placeholder' =>'',
	 			'horizontal_field' => true,

	);
*/
	$sections['post_global_settings']['show_post_social_share_bottom'] = array(
				'label' => 'Show social share - footer',
				'id' => 'show_post_social_share_bottom',
				'value' => 0,
				'input_type' => 'input_switch',
				'wrapper_class' => '',
	 			'label_class' => '',
	 			'input_class' => '',
	 			'desc' => 'Show social share at the end of the post',
	 			'placeholder' =>'',
	 			'horizontal_field' => true,

	);

	$sections['post_global_settings']['show_post_breadcrumb'] = array(
				'label' => 'Show breadcrumb',
				'id' => 'show_post_breadcrumb',
				'value' => 1,
				'input_type' => 'input_switch',
				'wrapper_class' => '',
	 			'label_class' => '',
	 			'input_class' => '',
	 			'desc' => 'Show breadcrumb nav on single post.',
	 			'placeholder' =>'',
	 			'horizontal_field' => true,

	);
/*
	$sections['post_global_settings']['show_post_author_info'] = array(
				'label' => 'Show author info',
				'id' => 'show_post_author_info',
				'value' => 1,
				'input_type' => 'input_switch',
				'wrapper_class' => '',
	 			'label_class' => '',
	 			'input_class' => '',
	 			'desc' => 'Show author info box with image, social links, bio at the footer of the post.',
	 			'placeholder' =>'',
	 			'horizontal_field' => true,

	);
*/
	$sections['post_global_settings']['show_more_author_posts'] = array(
				'label' => 'Show post from author',
				'id' => 'show_more_author_posts',
				'value' => 0,
				'input_type' => 'input_switch',
				'wrapper_class' => '',
	 			'label_class' => '',
	 			'input_class' => '',
	 			'desc' => 'Show posts from author widget',
	 			'placeholder' =>'',
	 			'horizontal_field' => true,

	);

	$sections['post_global_settings']['show_similar_posts'] = array(
				'label' => 'Show related post widget',
				'id' => 'show_similar_posts',
				'value' => 1,
				'input_type' => 'input_switch',
				'wrapper_class' => '',
	 			'label_class' => '',
	 			'input_class' => '',
	 			'desc' => 'Show related posts widget',
	 			'placeholder' =>'',
	 			'horizontal_field' => true,

	);

	$sections['post_global_settings']['gum_single_post_template'] = array(
		'id' => 'gum_single_post_template',
		'input_type'=>'image_radio',
		'label'=>'Post template',
		'value'=>"default",
		'wrapper_class' => 'gum_single_post_template',
		'label_class' => '',
		'input_class'=>"",
		'options' => array(
			array("val" => "default", "image" => get_template_directory_uri().'/framework/img/post-style1.png'),
			array("val" => "style2", "image" =>  get_template_directory_uri().'/framework/img/post-style-2.png'),

		),
		'desc'=> "",
		'error_message'=> "",
		'validate' => '',
		'process' => "",
		'horizontal_field'=>true


	);


	$sections['post_global_settings']['gum_single_post_sidebar_position'] = array(
		'id' => 'gum_single_post_sidebar_position',
		'input_type'=>'image_radio',
		'label'=>'Sidebar position',
		'value'=>"default",
		'wrapper_class' => 'gum_single_post_sidebar_position',
		'label_class' => '',
		'input_class'=>"",
		'options' => array(
			array("val" => "default", "image" => get_template_directory_uri().'/framework/img/sidebar-default.png'),
			array("val" => "left", "image" => get_template_directory_uri().'/framework/img/sidebar-left.png'),
			array("val" => "none", "image" => get_template_directory_uri().'/framework/img/sidebar-none.png'),

		),
		'desc'=> "",
		'error_message'=> "",
		'validate' => '',
		'process' => "",
		'horizontal_field'=>true


	);
	$sections['post_global_settings']['gum_post_sidebar'] = array(
				'label' => 'Sidebar',
				'id' => 'gum_post_sidebar',
				'value' => 'sidebar-1',
				'input_type' => 'select',
				'select_options' => $sidebar_options,
				'wrapper_class' => '',
	 			'label_class' => '',
	 			'input_class' => '',
	 			'desc' => '',
	 			'placeholder' =>'',
	 			'horizontal_field' => true,
	);
