<?php

/***** Register Widgets *****/

function gum_register_gumtheme_posts1_widget() {
	register_widget('gum_gumtheme_posts1_widget');
}
add_action('widgets_init', 'gum_register_gumtheme_posts1_widget');


class gum_gumtheme_posts1_widget extends WP_Widget {

	public $fields = array(
						// hidden id
						array(
							'id' =>'gum_widget_id',
							'input_type' => 'id',
				 			'value' => '',
						),
						array(
							'id' => 'title_text',
							'html_id' => 'title_text',
							'input_type'=>'text',
							'label'=>'Title',
							'value'=>""
						),
						array(
							'id' => 'post1_Id',
							'html_id' => 'post1_Id',
							'input_type'=>'text',
							'label'=>'post 1 Id:',
							'value'=>""
						),
						array(
							'id' => 'post2_Id',
							'html_id' => 'post2_Id',
							'input_type'=>'text',
							'label'=>'post 2 Id:',
							'value'=>""
						),
						array(
							'id' => 'post3_Id',
							'html_id' => 'post3_Id',
							'input_type'=>'text',
							'label'=>'post 3 Id:',
							'value'=>""
						),
					);
	
    function __construct() {

        $widget_ops = array('classname' => 'gum-gumtheme-posts1', 'description' => __('Gumthemes Posts Style 1', 'gumtheme'));
        parent::__construct('gum-gumtheme-posts1', __('GumThemes - Gumthemes Posts', 'gumtheme'), $widget_ops);
    }
    function widget($args, $instance) {
		extract($args);
		if(!empty($before_widget)) echo $before_widget;

		Gum_widget_html::Gumtheme_posts_style1($this->fields, $instance);

       if(!empty($after_widget))  echo $after_widget;
    }
    function update($new_instance, $old_instance) {

        $instance = $old_instance;
		foreach($this->fields as $field){
			$raw_id = $field['id'];
			$field['id'] = $this->get_field_name($field['id']);

			if(isset($new_instance[$raw_id])) $instance[$raw_id] = $new_instance[$raw_id];
		}

        return $instance;
    }
    function form($instance) {

       //$instance = wp_parse_args((array) $instance, $defaults);

		foreach($this->fields as $field){

			if(!empty($instance[$field['id']])) $field['value'] = $instance[$field['id']];

			$meta_object = $field['input_type'];

			$field['id'] = $this->get_field_name($field['id']);
			$field['html_id'] = $this->get_field_id($field['id']);

			echo Gum_Be_Widget_Html::$meta_object($field);
		}

    }
}