<?php

function gumtheme_reg_widget_subscribe(){
    register_widget('gumtheme_widget_subscribe');
}
add_action('widgets_init', 'gumtheme_reg_widget_subscribe');

class gumtheme_widget_subscribe extends WP_Widget{

    public $fields = array(
        array(
            'id' => 'title',
            'html_id' => 'title',
            'input_type'=>'text',
            'label'=>'Title',
            'value'=>"",
            'wrapper_class' => '',
            'label_class' => '',
            'input_class'=>"",
            'desc'=> "",
            'error_message'=> "",
            'validate' => '',
            'process' => "",
            'horizontal_field'=>false
        ),
        array(
            'id' => 'desc_text',
            'html_id' => 'desc_text',
            'input_type'=>'textarea',
            'label'=>'Description Text',
            'value'=>"",
            'wrapper_class' => '',
            'label_class' => '',
            'input_class'=>"",
            'desc'=> "",
            'error_message'=> "",
            'validate' => '',
            'process' => "",
            'horizontal_field'=>false
        )
        
    );

    function __construct(){
        $widget_options = array( 
            'classname' => 'gum-social-counter',
            'description' => __('Gumthemes Subscribe')
        );
        parent::__construct('gumtheme-subscribe', __('Gumthemes - Subscribe'), $widget_options);
    }

    function widget($args, $instance){
        extract($args);

        if(!empty($before_widget)) echo $before_widget;

		    //Subscribe::html($instance);
        Gum_widget_html::subscribe_html($this->fields, $instance);

        if(!empty($after_widget))  echo $after_widget;
    }

    function update($new_instance, $old_instance) {

        $instance = $old_instance;

		foreach($this->fields as $field){

			$raw_id = $field['id'];

			if(isset($new_instance[$raw_id])) $instance[$raw_id] = $new_instance[$raw_id];
		}

        return $instance;
    }
    function form($instance) {

		foreach($this->fields as $field){

			if(!empty($instance[$field['id']])) $field['value'] = $instance[$field['id']];

			$meta_object = $field['input_type'];

			$field['id'] = $this->get_field_name($field['id']);
			$field['html_id'] = $this->get_field_id($field['id']);

			echo Gum_Be_Widget_Html::$meta_object($field);
        }
        

    }
}
