<?php

function get_common_widget_fields(){
	$fields = array(
			"title" => array(
				'id' => 'title',
				'html_id' => 'title',
				'input_type'=>'text',
				'label'=>'Title',
				'value'=>"",
				'wrapper_class' => 'gum_title',
				'label_class' => '',
				'input_class'=>"",
				'desc'=> "",
				'error_message'=> "",
				'validate' => '',
				'process' => "",
				'horizontal_field'=>false
			),
			array(
				'id' => 'style',
				'html_id' => 'style',
				'input_type'=>'image_radio',
				'label'=>'Style',
				'value'=>"block_2",
				'wrapper_class' => 'gum_social_counter_widget',
				'label_class' => '',
				'input_class'=>"",
				'options' => array(

					array("val" => "slider", "image" => get_template_directory_uri().'/framework/img/block/slider.png'),
					array("val" => "block_6", "image" => get_template_directory_uri().'/framework/img/block/block1.png'),
					array("val" => "block_1", "image" =>  get_template_directory_uri().'/framework/img/block/block-two.png'),
				),
				'desc'=> "",
				'error_message'=> "",
				'validate' => '',
				'process' => "",
				'horizontal_field'=>false

			),
			'time_period' => array(
					'id' => 'time_period',
					'html_id' => 'time_period',
					'input_type'=>'select',
					'select_options' => array('3_hours' => "Last 3 hours", "6_hours"=>"Last 6 hours", "24_hours"=>"24 hours", "3_days"=> "3 days", "1_week"=>"1 week", "2_weeks"=>"2 weeks", "3_weeks"=>"3 weeks", "4_weeks"=>"4 weeks", "3_months"=>"3 months", "6_months"=>"6 months", "12_months"=>"12 months", "all_time"=>"All time"),
					'label'=>'Time Period',
					'value'=>"all_time",
					'wrapper_class' => '',
					'label_class' => '',
					'input_class'=>"",
					'desc'=> "",
					'error_message'=> "",
					'validate' => '',
					'process' => "",
					'horizontal_field'=>false
				),

				array(
					'id' =>'',
		 			'tag' => 'div',
		 			'input_type'=>'div_open',
		 			'title' => 'Filter',
		 			'inner_div' => true,
	 			),

		'cat' => array(
				'id' => 'category',
				'html_id' => 'category',
				'label'=>'Category',
				'input_type'=>'cat_select',
				'value'=>"",
				'wrapper_class' => '',
				'label_class' => '',
				'input_class'=>"",
				'desc'=> "",
				'error_message'=> "",
				'validate' => '',
				'process' => "",
				'horizontal_field'=>false
			),
			array(
				'id' => 'multicategory_ids',
				'html_id' => 'multicategory_ids',
				'label'=>'Filter by Multiple categories',
				'input_type'=>'text',
				'value'=>"",
				'wrapper_class' => '',
				'label_class' => '',
				'input_class'=>"",
				'placeholder' => "1,2,3",
				'desc'=> "comma separated category id , 1,2,3 . to exclude use minus , 1,-2,3",
				'error_message'=> "",
				'validate' => '',
				'process' => "",
				'horizontal_field'=>false
			),
			array(
				'id' => 'tags',
				'html_id' => 'tags',
				'label'=>'Filter by tags',
				'input_type'=>'text',
				'value'=>"",
				'wrapper_class' => '',
				'label_class' => '',
				'input_class'=>"",
				'placeholder' => "tag1, tag2",
				'desc'=> "comma separated tags",
				'error_message'=> "",
				'validate' => '',
				'process' => "",
				'horizontal_field'=>false
			),
			array(
				'id' => 'offset',
				'html_id' => 'offset',
				'label'=>'Post offset',
				'input_type'=>'text',
				'value'=>"0",
				'wrapper_class' => '',
				'label_class' => '',
				'input_class'=>"",
				'desc'=> "",
				'error_message'=> "",
				'validate' => '',
				'process' => "",
				'horizontal_field'=>false
			),
			array(
				'id' => 'limit',
				'html_id' => 'limit',
				'label'=>'Number of posts',
				'value' => 5,
				'input_type' => 'text',
				'wrapper_class' => '',
				'label_class' => '',
				'input_class'=>"",
				'desc'=> "",
				'error_message'=> "",
				'validate' => '',
				'process' => "",
				'horizontal_field'=>false
			),
		"sortby" => array(
				"label" => "Sort by",
				"description" => "",
				"id" => "post_sort_by",
				"html_id" => "post_sort_by",
				"value" => "latest",
				"input_type" => "select",
				"select_options"=>GumHelper::sortby(),
			),

			"pagination" => array(
				"label" => "Pagination",
				"description" => "",
				"id" => "pagination",
				"html_id" => "pagination",
				"value" => "0",
				"input_type" => "select",
				"select_options"=>GumHelper::widget_pagination(),
			),

			array(
				'id' => 'show_only_video_posts',
				'html_id' => 'show_only_video_posts',
				'label'=>'Show only posts with video format',
				'value' => 0,
				'input_type' => 'single_checkbox',
				'wrapper_class' => '',
				'label_class' => '',
				'input_class'=>"",
				'desc'=> "",
				'error_message'=> "",
				'validate' => '',
				'process' => "",
				'horizontal_field'=>true
			),
			array(
				'id' => 'show_only_review_posts',
				'html_id' => 'show_only_review_posts',
				'label'=>'Show only review posts',
				'value' => 0,
				'input_type' => 'single_checkbox',
				'wrapper_class' => '',
				'label_class' => '',
				'input_class'=>"",
				'desc'=> "",
				'error_message'=> "",
				'validate' => '',
				'process' => "",
				'horizontal_field'=>true
			),
			array(
				'id' => 'ignore_sticky_posts',
				'html_id' => 'ignore_sticky_posts',
				'label'=>'Ignore Sticky posts',
				'value' => 0,
				'input_type' => 'single_checkbox',
				'wrapper_class' => '',
				'label_class' => '',
				'input_class'=>"",
				'desc'=> "",
				'error_message'=> "",
				'validate' => '',
				'process' => "",
				'horizontal_field'=>true
			),
			array(
				'id' =>'',
	 			'tag' => 'div',
	 			'input_type'=>'div_close',
	 			'inner_div' => true,
			),
			array(
				'id' =>'',
	 			'tag' => 'div',
	 			'input_type'=>'div_open',
	 			'title' => 'Style',
	 			'inner_div' => true,
			),

			array(
				'id' => 'background_color',
				'html_id' => 'background_color',
				'input_type'=>'text',
				'label'=>'Widget background color',
				'value'=>"",
				'placeholder' => "#FFFFFF",
				'wrapper_class' => '',
				'label_class' => '',
				'input_class'=>"",
				'desc'=> "",
				'error_message'=> "",
				'validate' => '',
				'process' => "",
				'horizontal_field'=>false
			),
			array(
				'id' => 'title_color',
				'html_id' => 'title_color',
				'input_type'=>'text',
				'label'=>'Title color',
				'value'=>"",
				'placeholder' => "#333333",
				'wrapper_class' => '',
				'label_class' => '',
				'input_class'=>"",
				'desc'=> "",
				'error_message'=> "",
				'validate' => '',
				'process' => "",
				'horizontal_field'=>false
			),
			"show_hide" => array(
				'id' => 'hide_views',
				'html_id' => 'hide_views',
				'label'=>'hide Views',
				'value' => 0,
				'input_type' => 'single_checkbox',
				'wrapper_class' => '',
				'label_class' => '',
				'input_class'=>"",
				'desc'=> "",
				'error_message'=> "",
				'validate' => '',
				'process' => "",
				'horizontal_field'=>true
			),
			array(
				'id' =>'',
	 			'tag' => 'div',
	 			'input_type'=>'div_close',
	 			'inner_div' => true,
			),
			// hidden id
			array(
				'id' =>'gum_widget_id',
				'input_type' => 'id',
	 			'value' => '',
			),

	);


	return $fields;

}

function get_gumtheme_categories_widget_fields(){
	$all_cat=get_categories();
	$cat_array=array();
	$count=1;

	foreach ($all_cat as $single_cat) {
		$cat_array[] =array(
				'id' => 'category'.$count,
				'html_id' => 'category'.$count,
				'label'=> $single_cat->name,
				'value' => 0,
				'input_type' => 'single_checkbox',
				'wrapper_class' => '',
				'label_class' => '',
				'input_class'=>"",
				'desc'=> "",
				'error_message'=> "",
				'validate' => '',
				'process' => "",
				'horizontal_field'=>true
			);
		$count++;
	}


	$fields = array(
				"title" => array(
				'id' => 'florence_cat_title',
				'html_id' => 'florence_cat_title',
				'input_type'=>'text',
				'label'=>'Title',
				'value'=>"Categories",
				'wrapper_class' => 'gum_title',
				'label_class' => '',
				'input_class'=>"",
				'desc'=> "",
				'error_message'=> "",
				'validate' => '',
				'process' => "",
				'horizontal_field'=>false
			),
			array(
				'id' => 'show_all_categories',
				'html_id' => 'show_all_categories',
				'label'=>'Show All categories',
				'value' => 0,
				'input_type' => 'single_checkbox',
				'wrapper_class' => '',
				'label_class' => '',
				'input_class'=>"",
				'desc'=> "",
				'error_message'=> "",
				'validate' => '',
				'process' => "",
				'horizontal_field'=>true
			),
			array(
				'id' =>'',
	 			'tag' => 'div',
	 			'input_type'=>'div_open',
	 			'title' => 'Select categories',
	 			'inner_div' => true,
 			),
	);

	$div_close=array(
				"close"=>array(
				'id' =>'',
	 			'tag' => 'div',
	 			'input_type'=>'div_close',
	 			'inner_div' => true,
			),
	);
	$fields=array_merge($fields,$cat_array);
	$fields=array_merge($fields,$div_close);

	return $fields;

}
