<?php
if ( ! defined( 'GUM_DEV') )
	define( 'GUM_DEV', false );

if ( ! defined( 'GUM_FRAMEWORK_PATH') )
	define( 'GUM_FRAMEWORK_PATH', str_replace( '\\', '/', dirname( __FILE__ ) ) );

if ( ! defined( 'GUM_FRAMEWORK_URL' ) )
	define( 'GUM_FRAMEWORK_URL', str_replace( str_replace( '\\', '/', WP_CONTENT_DIR ), str_replace( '\\', '/', WP_CONTENT_URL ), GUM_FRAMEWORK_PATH ) );

if ( ! defined( 'GUM_FRAMEWORK_WP_ADMIN_DIR_URL' ) )
	define( 'GUM_FRAMEWORK_WP_ADMIN_DIR_URL', admin_url() );

if ( ! defined( 'OPTIONS_FRAMEWORK_DIRECTORY' ) ) define( 'OPTIONS_FRAMEWORK_DIRECTORY', get_template_directory_uri() . '/admin/options-framework/' );

if ( ! defined( 'OPTIONS_FRAMEWORK_DIR' ) ) define( 'OPTIONS_FRAMEWORK_DIR', GUM_FRAMEWORK_PATH . '/options-framework/' );

require_once GUM_FRAMEWORK_PATH . '/includes/helper.php';
require_once GUM_FRAMEWORK_PATH . '/includes/filters.php';
require_once GUM_FRAMEWORK_PATH . '/includes/functions.php';
require_once GUM_FRAMEWORK_PATH . '/includes/gallery.php';
require_once GUM_FRAMEWORK_PATH . '/includes/comment.php';
require_once GUM_FRAMEWORK_PATH . '/get_theme_options.php';
require_once GUM_FRAMEWORK_PATH . '/view/gum_blog_html.php';
require_once GUM_FRAMEWORK_PATH . '/view/gum_theme_html.php';
require_once GUM_FRAMEWORK_PATH . '/admin/pagebuilder/init.php';
if ( !function_exists('gumError') ){
	function gumError($error, $html=true){

		if(WP_DEBUG) {
			if($html) {
				echo "<div class='alert alert-danger'>";
			}

			trigger_error($error);

			if($html) {
				echo "</div>";
			}
		}
	}
}
