<?php
/**
 * Template part for displaying single posts.
 *
 * @package square
 */

 global  $GUM_Postlike, $GUM_Postcount, $gumtheme_ads, $gumtheme_options;

 $post_id = get_the_ID();
$gum_sidebar_position = Gum_html::get_single_post_sidebar_position();



$article_div_wrapper_class = "col-lg-8";
$article_div_row_class = "row";
// if full page then don't add col-* and row classes
if(!empty($gum_sidebar_position) && $gum_sidebar_position == 'none'){
	$article_div_wrapper_class = "";
	$article_div_row_class = "";
}
if(!empty($gum_sidebar_position) && $gum_sidebar_position == 'left') 
	$article_div_row_class .= " content_left_sidebar";

else if(!empty($gum_sidebar_position) && ( $gum_sidebar_position == 'right' ||  $gum_sidebar_position == 'default')) $article_div_row_class .= " content_right_sidebar";
else $article_div_row_class .= " content_none_sidebar";

	    //setting sidebar for single post page
    if(get_option('page_on_front') != $post_id){
    	
    	$article_div_wrapper_class = "col-lg-8";
    }
?>
<div class="<?php echo $article_div_row_class; ?> gum-row sector update-single-style">
<?php if(!empty($gum_sidebar_position) && $gum_sidebar_position == 'left') get_sidebar(); ?>
<div id="primary" class="content-area gum-single-post gum-single-post-style1 blog <?php echo $article_div_wrapper_class;?>">
	<main id="main" class="site-main theiaStickySidebar" role="main">
		<?php 
		/** Ad - Footer*/
		if(class_exists('GumHelper') && !empty($gumtheme_ads['post']['post_top_ad_enable'])) GumHelper::show_ad($gumtheme_ads['post']['post_top_ad_enable'], $gumtheme_ads['post']['post_top_ad_code'], $args= array('class'=>'gum-banner-post-top')); 
		?>
		<?php while ( have_posts() ) : the_post(); ?>

		<article id="post-<?php the_ID(); ?>" <?php post_class('post-item'); ?> itemscope="" itemtype="http://schema.org/BlogPosting">
			<div class="entry-header-wrapperad">
			<header class="entry-header">

				<?php Gum_html::get_single_post_header(); ?>				
				<?php
	$show_singlepost_meta=''; 
	if(!empty($gumtheme_options['show_post_views']) && $gumtheme_options['show_post_views'] == '1')
		$show_singlepost_meta .='1';
	else
		$show_singlepost_meta .='0';

	if(!empty($gumtheme_options['show_post_comment_count']) && $gumtheme_options['show_post_comment_count'] == '1')
		$show_singlepost_meta .='1';
	else
		$show_singlepost_meta .='0';

	if(!empty($gumtheme_options['show_post_likes']) && $gumtheme_options['show_post_likes'] == '1')
		$show_singlepost_meta .='1';
	else
		$show_singlepost_meta .='0';

				Gum_html::get_single_post_author_views($show_singlepost_meta); 
				echo '<div class="likne-date pull-right">'.Gum_html::get_post_date().'</div>';
				?>
				<?php if ( has_post_thumbnail() ) : ?>
				<div class="img-holder">
					<div class="frame">
						<div class="inner-frame">	
						</div>
						<div class="img-set">
							<?php the_post_thumbnail('gum_640X350'); ?>
						</div>
					</div>			
				</div>
				<?php endif; ?>

				
			</header><!-- .entry-header -->

			<div class="entry-content">

			         <div class="post_content" itemprop="articleBody">
					 	<?php the_content(); ?>
				     </div><!-- .post_content -->
			</div><!-- .entry-content -->
			</div><!-- entry-header-wrapperad -->
			

			<footer class="entry-footer">
				<div class="post-social-share">
					<?php 
					gum_html::get_the_socialshare_icons_header(); 
					?>
				</div><!-- post-social-share -->
				<?php Gum_html::get_the_post_author_info(); ?>
				<?php Gum_html::related_posts(); ?>
				<?php Gum_html::show_review(); ?>
				<?php Gum_html::get_the_post_footer(); ?>
			</footer><!-- .entry-footer -->
			<?php 
				/** Ad - Footer*/
				if(class_exists('GumHelper') && !empty($gumtheme_ads['post']['post_top_ad_enable'])) GumHelper::show_ad($gumtheme_ads['post']['post_bottom_ad_enable'], $gumtheme_ads['post']['post_bottom_ad_code'], $args= array('class'=>'gum-banner-post-bottom')); 
			?>

			
			<?php Gum_html::get_the_author_posts_widget(); ?>
			
			</article><!-- #post-## -->
			
			<?php
				// If comments are open or we have at least one comment, load up the comment template.
				if ( comments_open() || get_comments_number() ) :
					comments_template();
				endif;
			?>
	<?php endwhile; // End of the loop. ?>
	</main><!-- #main -->
</div><!-- #primary -->
<?php if(!empty($gum_sidebar_position) && ( $gum_sidebar_position == 'right' )) {
		get_sidebar(); 
	}
?>
</div><!-- row -->
